rh._.exports({"0":[[" ","5.0 Point Cloud"]],"1":[[" ","5.0 Point Cloud"]],"2":[[" ","5.1 File Formats"],[" ","5.2 Required Data & Metadata"],[" ","5.3 Coverage"],[" ","5.4 Interpolation"],[" ","5.5 Resolution"],[" ","5.6 Corrections"],[" ","5.7 Cleaning"],[" ","5.8 Uncertainty"],[" ","5.9 Data Quality Control "]],"3":[[" ","Point cloud data and their derived products submitted to the Office of Coast Survey must be able to be reviewed before they can be applied to Safety of Navigation products. The table below lists standard point cloud file formats that the Office of Coast Survey can review. "," ","Table 5.1.0 OCS Reviewable Point Cloud Data Formats"," ","Format"," ","ASCII XYZ"," ","CARIS HDCS"," ","FQPR"," ","GSF (version 3.09 or later)"," ","ASPRS LAS/LAZ"," ","QPS QPD"," ","Input File Formats supported by CARIS HIPS & SIPS/Bathy DataBASE"," ","File Formats supported by QPS Qimera"," ","File Formats supported by MB-System"],[" ","Point cloud data submitted to the Office of Coast Survey must contain, at a minimum, the 3D position of the points and horizontal uncertainties associated with the submitted data. Some data formats, such as ASPRS LAS, require additional data fields as part of the format specification. Please refer to individual format specification documents for further details.  "," ","In addition to the metadata requirements for the survey, additional metadata is required for point cloud data submitted to the Office of Coast Survey. Some metadata are required for all point cloud data types, while some are dependent on the technique of data collection. "," ","Table 5.2.0 Point Cloud Data and Metadata Types"," ","Field"," ","Technique"," ","Type"," ","Mandatory/Optional/Conditional"," ","X/","λ"," ","All"," ","Data"," ","M"," ","Y/","ɸ"," ","All"," ","Data"," ","M"," ","Z"," ","All"," ","Data"," ","M"," ","Vertical Uncertainty"," ","Acoustic bathymetry"," ","Data"," ","M"," ","Vertical Uncertainty"," ","Lidar"," ","Data"," ","O"," ","Horizontal Uncertainty"," ","All"," ","Data"," ","M"," ","Classification"," ","Lidar submitted in LAS format"," ","Data"," ","M"," ","RGB"," ","Lidar"," ","Data"," ","O"," ","Intensity"," ","Lidar"," ","Data"," ","O"," ","Geodetic Parameters (see ","CRS",")"," ","All"," ","Metadata"," ","M"," ","Interpolation"," ","All"," ","Metadata"," ","C"],[" ","For NOAA ","ISD"," surveys, coverage limits of the survey will be provided in the Project Instructions. "," ","Offshore surveys which do not approach the coast will end at their assigned survey limits. "," ","For nearshore surveys, the inshore coverage limit is defined by the Navigable Area Limit Line (NALL). Unless stated otherwise in the Project Instructions, the ","NALL"," by default is defined as the following: "," ","The surveyed 4.0 meter depth contour referenced to chart datum. Coverage must be sufficient to fully develop the 4.0 meter depth contour. Note that in cases when this contour surrounds a feature disconnected from the contiguous mainland coastline (e.g., offshore islet or rock), the feature must be investigated utilizing appropriate hydrographic techniques and included in the feature file. "," ","The line defined by the distance seaward from the observed ","SPOR"," line which is equivalent to 0.8 millimeters at the scale of the largest scale chart covering any portion of the survey area (e.g., for a 1:80,000 scale chart, this line would fall 64 meters seaward of the ","SPOR","). This application is most common in regions of fjord-like or \"steep and deep\" bathymetry. For any other application, field units must consult with their OCS Project Manager and/or COR when applying this particular rule in the field."," ","The inshore limit of safe navigation for the survey vessel, as determined by the Field Unit. If kelp, rocks, breakers, or other hazards make it unsafe to approach the coast to the limits specified above, the NALL must be defined as the shoreward boundary of the area in which it is safe to survey."," ","In rare instances, the Field Unit may determine that the ","NALL"," lies inshore of the limits defined in the first two bullet points above. For example, this could be the case in confined waters such as harbors or passes which are inshore of the NALL as defined above, but are regularly utilized by vessels. It could also occur in deep water ports where modern bathymetry is required along wharf faces. In these cases, the Field Unit must consult their OCS Project Manager and/or COR, prior to dedicating significant survey resources to these areas."," ","On some occasions, the Field Unit may be tasked with the investigation of specific items which fall inshore of the ","NALL"," as defined by the first two bullet points above. The Field Unit may also encounter unassigned natural or anthropogenic features inshore of the NALL, which are such exceptionally prominent aids to visual navigation that accurate positions for depiction on charts is required. In these cases, the Field Unit must proceed inshore of the NALL to accomplish investigation of these features, so long as this can be accomplished safely in accordance with the third bullet point above. Note that the Field Unit is not required to extend bathymetric coverage inshore of the NALL when investigating features with vertical extents above ","chart datum","."," ","Working in near shore environments is inherently dangerous. Verification of near shore features must not be attempted unless conditions are favorable, and it is safe to do so. Safety of the field unit is the highest priority."],[" ","Point cloud data submitted to the Office of Coast Survey that includes interpolated data must include a flag for each point that indicates if the point has been interpolated or not. Note that the inclusion of interpolated data without identifying the specific data points that are interpolated will preclude the use of the data for charted sounding application but may be used for contour generation or other bathymetric modeling purposes as deemed appropriate by the Office of Coast Survey. "," ","For NOAA ","ISD"," surveys, interpolation of point cloud data is prohibited unless authorized in the Project Instructions."],[" ","Point cloud data submitted to the Office of Coast Survey must not be downsampled. The resolution of the point cloud data must be able to support creating a gridded product at ½ the size of the features claimed to be detected by the survey. ","For NOAA ","ISD"," surveys, a required minimum feature detection size will be provided with the Project Instructions."],[" ","Point cloud data submitted to the Office of Coast Survey must be corrected for accurate 3D positioning of the points. If the corrections below are not applied to the data, it will substantially degrade the accuracy. This degradation will be reflected in the quality assessment and subsequent application of the data to products generated by the Office of Coast Survey. "," ","Corrections typically account for the following categories (listed in the sequence in which they must be applied):"," ","Offset corrections to account for measurement equipment installation offsets, including (if applicable) angular offsets to ensure sensor reference frame alignment."," ","Instrument error corrections to account for sources of error related to the measurement equipment itself."," ","If the measurement equipment is located below the water surface, draft corrections to account for the depth of the measurement equipment."," ","If the measurement equipment is mounted to a vessel traveling through water, dynamic draft corrections to account for the vertical displacement of the measurement equipment, relative to its position at rest, when a vessel is underway."," ","If the measurement equipment utilizes sound waves, speed of sound corrections to account for the two way travel time of the sound wave through the water."," ","Attitude corrections to account for the effect of vessel motion caused by waves and swell (heave, roll, pitch) and error in the vessel’s heading."," ","Datum corrections to account for the translation from a preliminary survey datum to the final, delivered datum. "," ","\n    When performing an assessment of the final reported ","uncertainty"," values for the survey, the hydrographer must account for the quality of the corrections applied to the data and ensure that the corrections applied to the data support the reported uncertainty values. For more information on corrections typically applied to hydrographic data, see the ","Field Procedures Manual",". "],[" ","Point cloud data submitted to the Office of Coast Survey must be clean of spurious data points that cause the gridded surface to be shoaler or deeper than the reliably measured seabed by greater than the maximum allowable ","Total Vertical Uncertainty"," (TVU) at that depth. "," ","The seafloor under charted human features (e.g. piers, anchor chains, bridges) must be left in the data and included in charted products. However, the pilings (and seawalls) supporting these structures must be rejected. Submerged pilings unattached from visible structures are obstructions that must be retained in the data. "],[" ","In addition to the overall horizontal and vertical uncertainty reported as part of the survey metadata, all bathymetric point cloud data derived from acoustic sensors submitted to the Office of Coast Survey must contain the ","uncertainty"," associated with the data. Uncertainty estimates may be calculated individually point-by-point, or by an assessment of the uncertainty of the data as a whole. Submitting point cloud data with an assessment of the uncertainty of the data as a whole instead of a point-by-point basis may result in the Office of Coast Survey only applying a portion of the submitted data, assessing the data with a lower grade, or being unable to use the data."," ","Failure to provide uncertainty values will result in the Office of Coast Survey determining the appropriate uncertainty based on an evaluation of the data and metadata provided, as well as any other factors that are deemed relevant at the sole discretion of the Office of Coast Survey. "," ","If using a topo-bathymetric airborne lidar system, vertical uncertainty values may be provided to the Office of Coast Survey based on the ","Eren et al. model (2019)"," if it has been computed. "," ","For NOAA ","ISD"," surveys, uncertainty values must be calculated individually, point-by-point utilizing a TPU model based on the Hare-Godin-Mayer model (1995 plus later improvements). "," ","Point cloud data uncertainty must be broken down into ","Total Horizontal Uncertainty"," (THU) and ","Total Vertical Uncertainty"," (TVU) estimates and reported at the 95% Confidence Level. "," ","The uncertainty estimates for point cloud data must account for all component uncertainties in the submitted data due to residual systematic and system-specific instrument uncertainties such as the speed of sound in water; beam-forming precision; system latency; static vessel draft; dynamic vessel draft; heave, roll, and pitch; and any other sources of uncertainty in the actual measurement process, including those associated with vertical datum correction such as tidal measurement, zoning, or translation from one datum to another. For more information on uncertainty components as well as how to determine the uncertainty values for the components, see the ","Field Procedures Manual",". "],[" ","For NOAA ","ISD"," surveys, a maximum allowable THU will be provided in the Project Instructions that may consist of a fixed and variable value. Field Units operating under these Project Instructions must ensure their data do not exceed the maximum allowable THU. Maximum allowable THU values are based on the Quality Metric Framework presented in the ","Introduction"," and the values are shown in the table below."," ","Table 5.8.0 Maximum Allowable THU Values"," ","OCS Quality Metric"," ","Fixed Value"," ","Variable Value"," ","Exceptional"," ","1 meter"," ","N/A"," ","Critical"," ","2 meters"," ","N/A"," ","General 1"," ","5 meters"," ","5% of depth (in meters)"," ","General 2"," ","20 meters"," ","10% of depth (in meters)"," ","General 3"," ","50 meters"," ","N/A"," ","General 4"," ","500 meters"," ","N/A"],[" ","Depth TVU"," ","For NOAA ","ISD"," surveys, a maximum allowable depth TVU will be provided in the Project Instructions that will consist of a value that represents the portion of the uncertainty that does not vary with depth and a coefficient which represents the portion that varies with depth. These parameters will be grouped together into a single TVU group. These parameters must be used in conjunction with the formula below to determine the maximum allowable TVU.  "," ","Where:"," ","a"," represents the portion of the uncertainty that does not vary with depth "," ","b"," is the coefficient which represents that portion of the uncertainty that varies with depth"," ","d"," is the depth"," ","For negative depths (i.e. heights), the maximum allowable TVU cannot be less than ","a"," ","Maximum allowable depth TVU values are based on the Quality Metric Framework presented in the ","Introduction"," and the values are shown in the table below."," ","Table 5.8.1 Maximum Allowable Depth TVU Values"," ","OCS Quality Metric"," ","The portion of the uncertainty that does not vary with depth (a)"," ","The coefficient which represents the portion that varies with depth (b)"," ","Exceptional"," ","0.15 meters"," ","0.0075"," ","Critical"," ","0.25 meters"," ","0.0075"," ","General 1"," ","0.5 meters"," ","0.01"," ","General 2/3"," ","1.0 meter"," ","0.02"," ","General 4"," ","2.0 meters"," ","0.05"," ","Height TVU"," ","For NOAA ","ISD"," surveys, a maximum allowable height TVU will be provided in the Project Instructions that will consist of a single value that represents the maximum allowable TVU for all features above the vertical reference plane. Maximum allowable height TVU values are based on the Quality Metric Framework presented in the ","Introduction"," and the values are shown in the table below. "," ","Table 5.8.2 Maximum Allowable Height TVU Values"," ","OCS Quality Metric"," ","Maximum Allowable Height TVU"," ","Exceptional"," ","0.15 meters"," ","Critical"," ","0.25 meters"," ","General 1"," ","0.5 meters"," ","General 2/3"," ","1.0 meter"," ","General 4"," ","2.0 meters"],[" ","For NOAA ","ISD"," surveys, ","crosslines"," must be acquired and processed to the same accuracy and data quality standards as required for mainscheme lines. "," ","Linear mileage of crosslines must be approximately 4% of the mainscheme mileage in areas where 100% or greater bathymetric coverage is required. "," ","Linear mileage of crossline must be approximately 8% of the mainscheme mileage in areas where less than 100% bathymetric coverage is required."," ","Crosslines should be geographically dispersed throughout the survey area. "," ","For crosslines acquired and processed, the hydrographer must evaluate overlapping crossline and mainscheme coverage to ensure that the depth/height values from the two data sets do not differ more than the maximum allowable TVU for the depth/height. Any deviations must be investigated, the source of the error identified, and if possible, corrected. If unexplained or excessive discrepancies persist, additional crosslines must be reacquired to assist in the resolution of the issue. If deviations are not able to be corrected, they must be documented in the Report of Survey. This documentation must include a description of the deviation, any steps taken to attempt to resolve the deviation, as well as the hydrographer’s understanding of the cause of the deviation."],[" ","For NOAA ","ISD"," surveys, the Field Unit must ensure that overlap between ","junction"," surveys of approximately one bathymetric swath width at the nominal depth of the junction area must be acquired."],[" ","For NOAA ","ISD"," surveys, if there are physical changes to the detected seafloor larger than the maximum allowable TVU for the depth that occur during the course of the survey (ex. Dredging, sandwave migration/sediment transportation, etc.), Field Units must contact their OCS Project Manager to discuss the best way to proceed. If it is a response survey (ex. a survey conducted after passage of a tropical cyclone) and it is known that the detected seafloor and the features found are temporary and therefore not recommended for charting, Field Units must document their recommendations in the Report of Survey Additional Information section, highlighting which areas should be resurveyed. Field Units must also obtain confirmation with collaborating federal and local agencies (e.g. ","USACE",", ","USCG",") that features were removed, or ensure that this follow-up responsibility to confirm removal has been passed onto the regional Navigation Manager, with a CC to their OCS Project Manager on all correspondence. When applicable, this information must be included in the Report of Survey in the Supplementals section."]],"4":[[" ","Total Horizontal Uncertainty"],[" ","Total Vertical Uncertainty"],[" ","Crosslines"],[" ","Data Overlap"],[" ","Known Temporal Changes"]],"id":"11"})