rh._.exports({"0":[[" ","16.0 Delivery Structure"]],"1":[[" ","16.0 Delivery Structure"]],"2":[[" ","16.1 Folder Structure"],[" ","16.2 Naming Conventions"]],"3":[[" ","For NOAA ","ISD"," surveys, survey submissions must be sent to the processing branch listed in the Project Instructions."],[" ","For NOAA ","ISD"," surveys, the folder structure must be as shown below."," ","Unused (i.e. empty) folders must be deleted prior to submission."," ","Table 16.1.0 Variable Folder Names"," ","Folder"," ","Note"," ","<Project Unique ID>"," ","For NOAA ","ISD",": OPR/S-X###-<KR or NOAA field unit code>-##"," ","If there is no Project Unique ID, use the Project Name."," ","<Survey Unique ID>"," ","For NOAA ","ISD",": X#####"," ","If there is no Survey Unique ID, use the Survey Name."," ","<TECSOU>"," ","Must be named per the below table of TECSOU folder names."," ","Must be a separate <TECSOU> folder for each raw data submission pertaining to a particular TECSOU."," ","<Processed data format>"," ","For processed data submitted that is not part of a processing project."," ","Must be a separate folder for each type of processed data submitted."," ","Folder name(s) must be the same as the commonly used acronym for the processed data format (e.g. GSF, XYZ, LAS, etc.)."," ","<Processing project>"," ","Folders(s) and sub-folders must adhere to manufacturer recommendations."," ","A single or multiple processing projects may be submitted, and a processing project may contain data derived from more than one raw data type (i.e. TECSOU)."," ","Table 16.1.1 TECSOU Folder Names"," ","TECSOU"," ","Folder name"," ","Found by echo sounder (TECSOU = 1)"," ","VB"," ","Found by side scan sonar (TECSOU = 2)"," ","SSS"," ","Found by multibeam (TECSOU = 3)"," ","MB"," ","Found by laser (TECSOU = 7)"," ","LI"," ","Found by photogrammetry (TECSOU = 10)"," ","PH"," ","Found by satellite imagery (TECSOU = 11)"," ","SDM"," ","Found by levelling (TECSOU = 12)"," ","LV"],[" ","For NOAA ","ISD"," surveys, the file naming conventions must be in accordance with the requirements listed in this section. "],[" ","The reports required for submission to the Office of Coast Survey (Metadata, Equipment List, Quality Control Procedures, Control Point Establishment, and Report of Survey) as described in ","Reports"," and ","Survey Findings"," are each included within the Survey Metadata XML form available in ","Pydro",", a freely available, open-source tool ","published"," by the Office of Coast Survey that includes XML reporting."," ","For NOAA ","ISD"," surveys, the Survey Metadata XML form and any report images used must be included for submission as a compressed file and separately as a digitally signed PDF."," ","Table 16.2.0 Metadata File Names"," ","Naming Convention"," ","Example"," ","<Survey Unique ID>_Outline.GeoJSON"," ","H12345_Outline.GeoJSON"," ","<Survey Unique ID>_Survey_Metadata.zip"," ","<Survey Unique ID>_Survey_Metadata.pdf"," ","H12345_Survey_Metadata.zip"," ","H12345_Survey_Metadata.pdf"," ","<Project Unique ID>_WKT_ChartDatum.txt*"," ","<Project Unique ID>_WKT_Ellipsoid.txt*"," ","<Project Name>_WKT_ChartDatum.txt"," ","<Project Name>_WKT_Ellipsoid.txt"," ","OPR-X123-KR-24_WKT_ChartDatum.txt"," ","OPR-X123-KR-24_WKT_Ellipsoid.txt"," ","Lake-Erie_WKT_ChartDatum.txt"," ","Lake-Erie_WKT_Ellipsoid.txt"," ","* For NOAA ","ISD"," surveys, the Project Unique ID must be used in the WKT naming convention. "],[" ","Not required for submission."," ","May contain outputs (e.g. images, GIS layers, PDFs) from automated tools used to ensure the quality and completeness of the survey submission."," ","No naming conventions are specified by the Office of Coast Survey."],[" ","Raw file naming conventions must adhere to manufacturer recommendations."," ","No further naming requirements are specified by the Office of Coast Survey."," ","See ","Raw Data"," for common raw data file type examples."],[" ","Table 16.2.1 Processed Data File Names"," ","<Processed data format>"," ","No file naming requirements are specified by the Office of Coast Survey."," ","<Processing project>"," ","File names must adhere to manufacturer recommendations."," ","Features"," ","<Survey Unique ID>_FFF"," ","Example"," ","H12345_FFF.gpkg"," ","<Survey Unique ID>_SSS_contacts"," ","Example"," ","H12345_SSS_contacts.gpkg"," ","Grids"," ","<Survey Unique ID>_<TECSOU>_<Resolution>_<Vertical datum>_<#of#>*"," ","Example"," ","H11000_MB_50cm_MLLW_1of2.bag"," ","H11000_MB_1m_MLLW_2of2.bag"," ","H12000_MB_VR_LWD_1of1.bag"," ","H13000_VB_4m_MLLW_1of1.bag"," ","H14000_LI_2m_MLLW_1of2.bag"," ","H14000_LI_2m_MLLW_2of2.bag"," ","* The trailing number in #of# must be the total number of bathymetric grids associated with the Survey Unique ID."," ","Mosaics"," ","<Survey Unique ID>_SSSAB_<Resolution>_<frequency>kHz_<#of#>*"," ","Example"," ","H11000_SSSAB_1m_455kHz_1of2.tiff"," ","<Survey Unique ID>_MBAB_<Resolution>_<vessel>_<frequency>kHz_<#of#>*"," ","Example"," ","H12000_MBAB_1m_3101_400kHz_2of3.tiff"," ","* The trailing number in #of# must be either the total number of side scan sonar mosaics or backscatter mosaics associated with the Survey Unique ID, respectively (i.e. it is not the sum of both)."," ","Multimedia"," ","Must not contain sub-folders."," ","See images section in ","Feature Attribute Encoding Guide"," for feature image requirements."," ","No further naming requirements are specified by the Office of Coast Survey."," ","Orthoimagery"," ","No file naming requirements are specified by the Office of Coast Survey."," ","Offsets, Positioning, SVP, Vertical_Datum_Correction"," ","No file naming requirements are specified by the Office of Coast Survey."," ","Only include files directly applied to the final processed data."," ","The table below includes common examples but is not all-inclusive."," ","Offsets"," ","Vessel file*"," ","Positioning"," ","Applanix SBET and SMRMSG"," ","Kongsberg BIN"," ","SVP"," ","Kongsberg ASVP"," ","CARIS SVP"," ","Vertical_Datum_Correction"," ","Separation Model"," ","ASCII XYZ"," ","GeoTIFF"," ","ONSWG BAG"," ","CARIS CSAR"," ","Water levels and tide files"," ","CARIS TID"," ","Zoned Tide ZDF"," ","TCARI TC"," ","* Not required for submission in this location if offsets are captured within submitted data file(s) or the processing project"],[" ","Submitted directly and not included in Folder Structure."," ","Table 16.2.2 Supplemental Report File Names"," ","Naming Convention"," ","Example"," ","<Project Unique ID>_Coast-Pilot-Review-Report.pdf"," ","OPR-A123-KR-22_Coast_Pilot_Review_Report.pdf"," ","<Survey Unique ID>_DTON_##.gpkg"," ","H12345_DTON_01.gpkg"," ","<Survey Unique ID>_DTON_##_Multimedia.zip"," ","H12345_DTON_01_Multimedia.zip"," ","<Survey Unique ID>_Pipeline_##.gpkg"," ","H12345_Pipeline_01.gpkg"," ","<Survey Unique ID>_Bridge_Clearance.gpkg"," ","H12345_Bridge_Clearance.gpkg"," ","<Survey Unique ID>_Feature_Report_##.gpkg"," ","H12345_Feature_Report_01.gpkg"," ","<Survey Unique ID>_Feature_Multimedia.zip"," ","H12345_Feature_Multimedia.zip"," ","<Project Unique ID>_<YYYY><MM><DD>_<#of#>.<bag/csar/tiff>"," ","OPR-A123-KR-23_20230730_1of1.tiff"," ","<Project Unique ID>_Final_Progress_Report_<YYYY><MM><DD>.pdf"," ","OPR-A123-KR-23_Final_Progress_Report_20230830.pdf"]],"4":[[" ","X#####/Metadata"],[" ","X#####/Metadata/QC"],[" ","X#####/Raw"],[" ","X#####/Processed"],[" ","Supplemental Survey Findings Reports"]],"id":"12"})