rh._.exports({"0":[[" ","13.0 Reports"]],"1":[[" ","13.0 Reports"]],"2":[[" ","13.1 Metadata"],[" ","13.2 Equipment List"],[" ","13.3 Quality Control Procedures"],[" ","13.4 Control Point Establishment"],[" ","13.5 Environmental Compliance"]],"3":[[" ","The Reports section describes the metadata and written reports that must be provided to the Office of Coast Survey so that the data can be properly assessed. These reports may take the form as specified in those sections as either written prose reports, ","IHO compliant"," metadata, or via ","Pydro",", a freely available, open-source tool ","published"," by the Office of Coast Survey that includes XML reporting. "],[" ","For any data submission provided to the Office of Coast Survey, metadata fields are required to perform an assessment of the data. Failure to include this information may result in the Office of Coast Survey either assessing the data with a lower grade or being unable to use the data."," ","The tables below present the required metadata that must be provided to the Office of Coast Survey as well as acceptable formats for providing this information to the Office of Coast Survey. Metadata must be provided that is representative of the entire survey, and other metadata must be representative of each bathymetric grid that is submitted to the Office of Coast Survey."," ","Table 13.1.0 Survey-specific Metadata"," ","Name"," ","Format/Note"," ","Mandatory/Conditional"," ","Project Unique ID*"," ","IHO S-100 Dataset abstract"," ","C"," ","Project Name*"," ","IHO S-100 Dataset abstract"," ","C"," ","Survey Unique ID"," ","IHO S-100 Dataset title"," ","C"," ","Survey Name*"," ","IHO S-100 Dataset abstract"," ","M"," ","Time Zone Offset from UTC"," ","+-hhmm (or 'Z' for UTC)"," ","M"," ","Start Date "," ","IHO S-101 Date Start"," ","M"," ","End Date"," ","IHO S-101 Date End"," ","M"," ","License Identifier"," ","String (see ","Data License",")"," ","M"," ","License Deed"," ","URL (see ","Data License",")"," ","M"," ","Responsible Party"," ","IHO S-100 Point of Contact (Individual or Organization)"," ","M"," ","Contact Information"," ","IHO S-100 Contact Information"," ","M"," ","Field Unit"," ","Source who collected the data"," ","M"," ","Approval Statement*"," ","Text"," ","C"," ","Approver*"," ","Name, Title, Certification(s)"," ","C"," ","* Fields marked Conditional may be provided for datasets where those fields are applicable. ","For NOAA ","ISD"," surveys, these fields are mandatory."," ","Table 13.1.1 Grid-specific Metadata"," ","Name"," ","Format/Note"," ","Mandatory/Conditional"," ","Horizontal Coordinate Reference System and Units"," ","See also ","CRS"," requirements"," ","M"," ","Vertical Coordinate Reference System and Units"," ","See also ","CRS"," requirements"," ","M"," ","Technique of vertical measurement"," ","IHO S-101 TECSOU"," ","M"," ","Features Detected"," ","IHO S-101 Significant Features Detected"," ","M"," ","Least Depth of Features Detected"," ","IHO S-101 Least Depth of Features Detected"," ","M"," ","Feature Detection Ability Assessment (size in meters) Fixed"," ","IHO S-101 Size of Features Detected"," ","M"," ","Feature Detection Ability Assessment (% of depth) Variable"," ","IHO S-102 Size of Features Detected"," ","M"," ","Seafloor Coverage Assessment"," ","IHO S-101 Full Seafloor Coverage Achieved"," ","M"," ","Bathymetric Coverage Assessment"," ","IHO S-102 Bathymetric Coverage Achieved"," ","M"," ","Vertical Uncertainty Fixed"," ","IHO S-101 Uncertainty Fixed"," ","C"," ","Horizontal Uncertainty Fixed"," ","IHO S-101 Uncertainty Fixed"," ","C"," ","Vertical Uncertainty Variable"," ","IHO S-101 Uncertainty Variable Factor"," ","C"," ","Horizontal Uncertainty Variable"," ","IHO S-101 Uncertainty Variable Factor"," ","C"," ","Interpolated Data Present"," ","Y/N"," ","M"," ","Bathymetric data derived from acoustic sensors must provide those uncertainty fields marked as conditional. Topo-bathymetric data derived from lidar sensors should provide uncertainty fields marked as conditional if it has been computed. "," ","Metadata may be provided to the Office of Coast Survey via text file or through the use of ","Pydro","."," ","For NOAA ","ISD"," surveys, metadata must be provided using the XML reporting schema provided with Pydro."],[" ","For each dataset submitted to the Office of Coast Survey, information about the equipment used to collect the dataset is required to be submitted alongside the data. For each type of equipment listed below, the minimum required information for that equipment is provided. "," ","Table 13.2.0 Equipment Minimum Required Information"," ","Equipment Type"," ","Minimum Required Information"," ","Control Point"," ","Type of Control Point Equipment"," ","Manufacturer"," ","System Name"," ","Model Number"," ","Serial Number"," ","Calibration Date"," ","Platform"," ","Hull/ID Number (if available)"," ","Platform Name"," ","For each platform include the following:"," ","Positioning System"," ","Manufacturer"," ","System Name"," ","Model Number"," ","Serial Number"," ","Calibration Date"," ","Depth/Height Sensor"," ","Sensor Type (see below)"," ","Manufacturer"," ","System Name"," ","Model Number"," ","Serial Number"," ","Frequency (if applicable)"," ","Field Calibration Date (if applicable)"," ","Accuracy Check Date (if applicable)"," ","Sound Speed Sensor (if using an acoustic system)"," ","Manufacturer"," ","System Name"," ","Model Number"," ","Serial Number"," ","Frequency (if applicable)"," ","Calibration Date"," ","Accuracy Check Date (if applicable)"," ","Depth/Height Sensor Type Examples"," ","Echo sounder"," ","Side scan sonar"," ","Multibeam"," ","Diver"," ","Lead line"," ","Wire drag"," ","Laser"," ","Electromagnetic Sensor"," ","Photogrammetry"," ","Satellite imagery "," ","Leveling"," ","For NOAA ","ISD"," surveys, equipment information must be provided using the XML reporting schema provided with Pydro."],[" ","All data submitted to the Office of Coast Survey must include a description of the quality control methodology used by the Field Unit. Failure to include this information may result in the Office of Coast Survey either assessing the data with a lower grade or being unable to use the data if the assessment is unable to determine if adequate quality control procedures were in place."," ","Field Units must describe all quality assurance methods and procedures. Discuss the methods used to complete ","crosslines"," comparisons, statistical analysis, directed editing, designated sounding selection, holiday identification, and uncertainty assessment. Describe any factors that affect the survey’s adequacy and accuracy. If applicable, include methods for establishing proof of acoustic intensity coverage and the methods and criteria used for detecting and selecting features. If data are interpolated, include a description of the parameters used in the interpolation. Note that the inclusion of interpolated data without identifying the specific data points that are interpolated will preclude the use of the data for charted sounding application but may be used for contour generation or other bathymetric modeling purposes as deemed appropriate by the Office of Coast Survey. "," ","For NOAA ","ISD"," surveys, Field Units must include an evaluation of overlap for each ","junction"," and a summary of each junction's relative agreement of depths with respect to the maximum allowable TVU. Junctions with adjoining sheets of the current project only need to be described in one of the two data submissions."," ","For Field Units submitting multibeam backscatter, as mentioned in ","2D Imagery"," there are additional reporting requirements for multibeam backscatter quality control derived from Figure 5-1 of the ","Backscatter measurements by seafloor-mapping sonars report by the GeoHab Backscatter Working Group",". Field Units submitted multibeam backscatter must include the answers to the below questions in this section."," ","Was the backscatter calibrated? If so, was it an absolute or relative calibration?"," ","Do the echo sounder(s) have the dynamic range to accommodate the survey area without changes in sonar settings? If no, was the echo sounder(s) calibrated to itself across system settings?"," ","Will the intended acquisition configuration allow the echo sounder(s) to become saturated or nonlinear? If yes, was a technique applied to prevent system saturation?"," ","Were environmental variables a likely influence to the acoustic backscatter measurement? If so, was a technique applied for collecting environmental information to compensate for environmental effects?"," ","Did the acquisition output have a workflow that allows for post processing of backscatter data and full utilization of the data collected?"," ","For NOAA ","ISD"," surveys, quality control procedure documentation must be provided using the XML reporting schema provided with Pydro. "],[" ","If horizontal or vertical control points are established by the Field Unit, a written description of the processes and procedures used to establish, maintain, and quality control the control point data must be provided to the Office of Coast Survey. At a minimum, this description must include:"," ","The type of control point established (i.e., horizontal or vertical)."," ","The position of the established control point."," ","The dates the control point was in operation."," ","The horizontal and vertical (if applicable) uncertainty associated with the position of the control point. "," ","The process by which the control point data was applied to the data."," ","For NOAA ","ISD"," surveys, additional required information must include:"," ","Vertical Control"," ","A list of unusual tidal, water level, or current conditions."," ","The height and time corrections, and zoning, if different from that specified in the Hydrographic Project Survey Instructions."," ","Ellipsoidal benchmark positioning techniques and procedures."," ","Horizontal Control"," ","The latitude and longitude to at least the nearest 1/100 of a second."," ","The station elevation."," ","The geodetic station name and year it was established."," ","Briefly describe the methods and adequacy of positioning system confidence check."],[" ","For NOAA ","ISD"," surveys, a list of all trained marine mammal observers (e.g., all officers, deck, and survey personnel) who are required to view the ","Marine Species Awareness Training video (produced by the U.S. Navy)"," must be provided to the Office of Coast Survey. The viewing of this video is considered sufficient to declare a crew member a “trained observer.” The observation of marine mammals should be conducted in conjunction with both ship and small boat operations and the Marine Species Awareness Training must be completed prior to the start of the field season. A list of trained marine mammal observers and the date each observer viewed the training video (including new personnel who arrive mid-project) must be provided to the Office of Coast Survey Environmental Compliance Coordinator (","ocs.ecc@noaa.gov",") with a CC to the OCS Project Manager and/or COR, as appropriate. List the submission and the date of submission in the Supplementals section of the Report of Survey."," ","Marine mammal observations must be recorded in the provided PDF form (included in the Project Instructions). Digital photographs of observations must be taken, if possible. The marine mammal observation log and associated photographs must be submitted to ","pop.information@noaa.gov"," and ","ocs.ecc@noaa.gov"," (with a CC to the OCS Project Manager and/or COR) at the end of each project."," ","\n      Sea turtle sightings must be recorded in the provided PDF form (included in the Project Instructions) for each project and must be sent to ","sea.turtle.sightings@noaa.gov",", with a CC to ","ocs.ecc@noaa.gov"," and the OCS Project Manager and/or COR."," ","In the event of an unauthorized incidental “","take",",” the Field Unit must contact the OCS Project Manager and/or COR immediately (with a CC to the HSD OPS Branch Chief at ","hsd.chief.ops@noaa.gov"," and ","ocs.ecc@noaa.gov","). "]],"id":"13"})