rh._.exports({"0":[[" ","17.0 Feature Attribute Encoding Guide"]],"1":[[" ","17.0 Feature Attribute Encoding Guide"]],"2":[[" ","17.1 Assigned/New/Update/Disproved Features"],[" ","17.2 Disproved/Retained/Not Addressed Features"],[" ","17.3 New/Updated Features"],[" ","17.4 NOAA Discretionary Attribution"],[" ","17.5 Other Common Features by Acronym"],[" ","17.6 Attribution Guidance"]],"3":[[" ","For Field Units who have submitted a feature file to the Office of Coast Survey, the following S-57 attribution must be used per the legend below. In addition to S-57 attribute standards are ","NOAA extended attributes","."," ","(m)"," ","Mandatory"," ","(c)"," ","Conditional"," ","(r)"," ","Restricted"],[" ","The following rules are applicable to all Assigned (i.e. asgnmt = Assigned), New, Update, and Disproved features (i.e. descrp = New, Update, or Delete)."," ","Attribute"," ","Description"," ","descrp ","(m)"," ","Description ","(m)"," ","Portrays the field charting action."," ","New ","(m)"," ","New features or new position."," ","Update ","(m)"," ","Modification to attribution, geometry, and/or feature object class. Exception: change of geometry for line and area."," ","Delete ","(m)"," ","Disprovals or erroneous features."," ","Retain ","(m)"," ","Addressed items that are represented properly on the chart. Include a remark for information purposes as necessary."," ","Not Addressed ","(m)"," ","For assigned items that were not addressed, include remark describing why the feature was not addressed."],[" ","Disproved, Retained, and Not Addressed features (i.e. descrp = Delete, Retain, or Not Addressed) will always maintain their original SORDAT and SORIND and other associated attribution. Remarks may be used as-needed. If the feature is recommended for deletion (i.e. it is Disproved) based on criteria or reasoning other than what is required in Section 7.5 in ","Features",", Remarks should be provided."," ","Attribute"," ","Description"," ","remrks ","(c)"," ","Remarks"," ","(c)"," ","Provides additional information about features that is not captured elsewhere in digital data (e.g. S-57 attribution)"],[" ","The following rules are applicable to all New and Update features (i.e. descrp = New or Update)."," ","Attribute"," ","Description"," ","SORIND ","(m)"," ","Source Indication ","(m)"," ","Information about the source of the object"," ","Country Code: US"," ","US Authority code: US for the Office of Coast Survey"," ","Source: graph"," ","ID code: registry number"," ","Example: US,US,graph,H12345"," ","Note: there must not be any spaces after comma separated values in the SORIND."," ","SORDAT ","(m)"," ","Source Date ","(m)"," ","The last day of survey acquisition formatted as YYYYMMDD"," ","For DTON Report submissions, SORDAT must be the date the feature was surveyed."," ","For feature file submissions, SORDAT must be the last day of survey acquisition."," ","OBJNAM"," ","(c)"," ","Object Name"," ","(c)"," ","Include for named features that are retained or relocated"," ","remrks"," ","(c)"," ","Remarks"," ","(c)"," ","Provides additional information about features that is not captured elsewhere in digital data (e.g. S-57 attribution)"," ","Do not include exact geographic positions (latitude and longitude), least depths, etc."," ","sftype"," ","(c)"," ","Special Feature Type"," ","(c)"," ","Indicates a feature with special designation"," ","ATON"," ","(c)"," ","ATON investigations"," ","DTON"," ","(c)"," ","Dangers to Navigation"," ","Maritime Boundary"," ","(c)"," ","Maritime Boundary investigations"," ","Lidar investigation"," ","(c)"," ","Lidar investigations"," ","Unverified Charted Feature"," ","(c)"," ","Unverified Charted Feature"," ","images"," ","(c)"," ","Images"," ","(c)"," ","Images associated with a feature (e.g. MBES or SSS screen captures, or digital photos)"," ","Images are required for DTONs, maritime boundary points, wrecks, and non-foul obstructions (not foul area/foul ground)."," ","Images associated with wrecks and non-foul obstructions must include the approximate dimensions (length, width, and height) in meters."," ","Images for DTONs must include one chartlet image portraying the feature least depth sounding and position with the largest-scale ENC as the background."," ","Unless specified in the attribution guide, images should not be included unless there is something unique or significant about the feature."," ","The required format for all images is JPEG with EXIF metadata or GeoTIFF. See ","2D Imagery","."," ","Images must have a unique identifier name. However, it is permissible to reuse the same image for different cartographic features, when applicable."," ","Multiple images for one feature must be semicolon delimited."," ","All images may reside in a prescribed location to permit viewing within a processing software, but copies of all images (and photos) must be placed in the Multimedia folder."," ","Do not include images in the S-57 PICREP attribute."," ","asgnmt"," ","(c)"," ","Assignment Flag"," ","(c)"," ","Indicates assignment status of items delivered to the field by the OCS Project Manager and/or COR"," ","Unassigned"," ","(c)"," ","Not Assigned"," ","Assigned"," ","(c)"," ","Assigned"," ","For Info Only"," ","(c)"," ","For information only"," ","invreq"," ","(c)"," ","Investigation Requirements"," ","(c)"," ","Specific investigation requirements defined by the OCS Project Manager and/or COR"],[" ","The following are typical examples of how to encode New vs Update for features."," ","Charted point feature is found in new position via multibeam, lidar, vessel-mounted laser scanning, or any remote sensing system capable of generating a georeferenced point cloud at a resolution able to support creating a gridded product at 1/2 the size of the features claimed to be detected by the survey:\n      "," ","descrp = Delete for the charted feature."," ","descrp = New for surveyed feature (derived from grid or point cloud)."," ","Charted point feature is found via visual observation or handheld laser range finder, within 10 meters of the charted feature:\n      "," ","descrp = Update (populate surveyed height/depth of feature, not position; update other attribution accordingly, if different)."," ","Charted point feature is found via visual observation or handheld laser range finder, greater than 10 meters from the charted feature:\n      "," ","descrp = Delete for charted feature."," ","descrp = New for surveyed feature (derived from visual observation or handheld laser range finder)."," ","Charted line or area feature geometry has changed, and less than half the node coordinates are affected:\n      "," ","descrp = Update; then manually edit the geometry."," ","If the new area extents border the edge of bathymetry, instead of manually editing the geometry, the hydrographer may use recomd = edit the geometry to extents of bathymetry."," ","Charted line or area feature geometry has changed, and more than half the node coordinates are affected:\n      "," ","descrp = Delete for charted feature."," ","descrp = New for surveyed feature."," ","If the new area extents border the edge of bathymetry, instead of manually creating new geometry, the hydrographer may use recomd = edit the geometry to extents of bathymetry. "],[" ","The following is a list of additional NOAA Extended Attributes that may be used by Field Units, but must be removed prior to submitting to the Office of Coast Survey."," ","Attribute"," ","Description"," ","acqsts ","(r)"," ","Acquisition Status"," ","(r)"," ","A tracking tool used during data processing that ensures features are fully investigated as necessary"," ","Investigate"," ","(r)"," ","Indicates that further field examination and analysis are required"," ","Resolved"," ","(r)"," ","Indicates that field examination and analysis is complete"," ","keywrd"," ","(r)"," ","Keyword"," ","(r)"," ","Customized word used for processing or querying data"," ","prkyid"," ","(r)"," ","Primary Key ID"," ","(r)"," ","Provides a means for manual correlation. The primary key ID can be populated for the secondary feature with the primary feature's Database key ID"," ","prmsec"," ","(r)"," ","Primary/Secondary Status"," ","(r)"," ","Indicates the status of the feature during feature or contact correlation"," ","Primary"," ","(r)"," ","Principal feature that can be associated with one or more secondary features"," ","Secondary"," ","(r)"," ","Indicates that the feature is correlated to the primary"," ","Pending"," ","(r)"," ","Indicates that further analysis or examination is required"," ","userid"," ","(r)"," ","User ID"," ","(r)"," ","Provides a unique identifier"],[" ","The following table includes mandatory and conditional S-57 Attribution requirements for the most common features found in a feature file as well as some specific guidance in the note sections for each feature class. If a Field Unit has a question regarding attribution for a feature class not listed, contact the OCS Project Manager and/or COR for guidance."," ","Note: The following is only for New and Updated Features (descrp = New or Update). Features that are disproved, retained or not addressed will maintain the original S-57 attribution."],[" ","All new/updated obstructions must have a VALSOU or a HEIGHT with the following exceptions:"," ","If it is too dangerous to obtain the least depth/height."," ","For line/area objects where least depth cannot be determined."," ","If the object is a ","Foul Ground"," or ","Foul Area",". "," ","The attribution logic is shown in the table below. "," ","Obstruction (OBSTRN)"," ","w/ VALSOU"," ","w/ HEIGHT"," ","w/o VALSOU and HEIGHT"," ","CATOBS = ","Foul Area"," ","CATOBS = ","Foul Ground"," ","VALSOU"," ","(m)"," ","(r)"," ","(r)"," ","(r)"," ","(r)"," ","HEIGHT"," ","(r)"," ","(m)"," ","(r)"," ","(r)"," ","(r)"," ","WATLEV*"," ","(m)"," ","Always Dry (WATLEV = 2) ","(m)"," ","(c)"," ","(c)"," ","Always underwater/submerged (WATLEV = 3) ","(m)"," ","QUASOU*"," ","(m)"," ","(r)"," ","(r)"," ","(r)"," ","(r)"," ","TECSOU*"," ","(m)"," ","(r)"," ","(r)"," ","(r)"," ","(r)"," ","CATOBS"," ","(c)"," ","(c)"," ","(c)"," ","Foul Area (CATOBS = 6) ","(m)"," ","Foul Ground (CATOBS = 7) ","(m)"," ","NATSUR"," ","(c)"," ","(c)"," ","(c)"," ","(c)"," ","(c)"," ","images"," ","(m)"," ","(m)"," ","(m)"," ","(r)"," ","(r)"," ","* See below attribution for WATLEV, QUASOU, and TECSOU"," ","Uncharted obstructions may be identified just outside of the boundaries of the permitted features shown below. In such circumstances, the permitted feature must not be submitted with edited geometry (i.e. descrp = Update) in order to encompass the obstructions. The uncharted obstructions, if warranted, must be submitted as new obstructions (i.e. descrp = New)."," ","Dumping ground (DMPGRD)"," ","Fish haven (OBSTRN with CATOBS = 5)"," ","Wellhead Obstructions (CATOBS = 2) Guidance"," ","If a wellhead is found and considered a danger to navigation, develop the feature, submit it as a DTON, and include it in the feature file."," ","If a wellhead is found and merits individual cartographic representation, develop the feature and submit it in the feature file. Note: if the wellhead is deeper than 20 m then it is unlikely to merit individual cartographic representation."," ","If wellhead is found and does not merit cartographic representation, do not investigate it as a feature. Include it in the feature file with “descrp = delete” and “remrks=wellhead addressed as represented in the surface”."," ","If the charted wellhead is not found, in cases where 100% side scan sonar with concurrent multibeam is used as the primary coverage technique, a 50 m disproval search radius is required. Include in the feature file with descrp = delete. "],[" ","Rocks appropriately represented in the submitted grid(s) must not be included in the feature file, except for named rocks, which must be included in the feature file. New/updated rocks surveyed outside of the grid(s) must be included in the feature file and have a VALSOU, unless the feature is too dangerous to obtain the least depth. Note, baring rocks do not use HEIGHT; instead they become islets. See WATLEV attribution for guidance."," ","If several assigned rocks are found to be part of an inshore rocky area, the hydrographer may elect to delineate the area as ","Foul Area"," (OBSTRN area with CATOBS = “6” Foul Area) and forgo investigating each individual rock (i.e., descrp=Not addressed, remrks= “Rock is part of foul area”). Pending safe conditions, the hydrographer must address any rocks that they feel are navigationally significant within the foul area."," ","Rock (UWTROC):"," ","w/ VALSOU"," ","w/o VALSOU"," ","VALSOU"," ","(m)"," ","(r)"," ","WATLEV*"," ","(m)"," ","(c)"," ","QUASOU*"," ","(m)"," ","(r)"," ","TECSOU*"," ","(m)"," ","(r)"," ","* See below attribution for WATLEV, QUASOU, and TECSOU"],[" ","All new/updated wrecks must have a VALSOU or HEIGHT unless the feature is too dangerous to obtain the least depth."," ","Wreck (WRECKS):"," ","w/ VALSOU"," ","w/ HEIGHT"," ","w/o VALSOU and HEIGHT"," ","VALSOU"," ","(m)"," ","(r)"," ","(r)"," ","HEIGHT"," ","(r)"," ","(m)"," ","(r)"," ","CATWRK"," ","(m)"," ","(m)"," ","(m)"," ","WATLEV*"," ","(m)"," ","Always Dry (WATLEV = 2) ","(m)"," ","(c)"," ","QUASOU*"," ","(m)"," ","(r)"," ","(r)"," ","TECSOU*"," ","(m)"," ","(r)"," ","(r)"," ","images"," ","(m)"," ","(m)"," ","(m)"," ","* See below attribution for WATLEV, QUASOU, and TECSOU."],[" ","Object"," ","Attributes"," ","Acronym"," ","Description"," ","COALNE (Coastline)"," ","CATCOA ","(m)"," ","Category of Coastline"," ","LNDARE (Land area)"," ","Point, line, or area objects"," ","Used to characterize islets"," ","Islets with a horizontal distance greater than 2.0mm at the largest scale overlapping chart must be delineated as an area feature."," ","Must be accompanied by LNDELV point object where elevation is 10m or less, denoting the highest point of the feature."," ","LNDARE point objects accompanied by LNDELV point objects must share 2D geometry."," ","See below WATLEV attribution for vertical height requirements."," ","LNDELV (Land elevation)"," ","ELEVAT ","(m)"," ","Elevation"," ","Elevation is relative to the shoreline plane of reference (SPOR), typically ","MHW","."," ","MORFAC (Mooring/Warping facility)"," ","CATMOR ","(m)"," ","Category of mooring/warping facility"," ","BOYSHP ","(c)"," ","Buoy shape"," ","COLOUR ","(c)"," ","Color"," ","COLPAT ","(c)"," ","Color pattern"," ","CONDTN ","(c)"," ","Condition"," ","NATCON ","(c)"," ","Nature of construction"," ","STATUS ","(c)"," ","Status"," ","If a MORFAC is found to be submerged, the object must be classified as an OBSTRN with CATOBS = 1 (Snag/Stump)."," ","PILPNT (Pile)"," ","CATPLE ","(c)"," ","Category of pile"," ","CONDTN ","(c)"," ","Condition"," ","If a PILPNT is found to be submerged, the object must be classified as an OBSTRN with CATOBS = 1 (Snag/Stump)."," ","PIPSOL (Pipeline, submarine/on land)"," ","Line objects"," ","CATPIP ","(c)"," ","Category of pipeline/pipe"," ","SOUNDG (Sounding)"," ","TECSOU ","(m)"," ","Technique of sounding measurement"," ","QUASOU ","(m)"," ","Quality of sounding measurement"," ","Only soundings for DTONs or other significant shoals may be included in the feature file."," ","See below attribution for QUASOU."," ","SBDARE (Seabed area)"," ","Point objects"," ","NATSUR* ","(m)"," ","Nature of Surface"," ","NATQUA* ","(c)"," ","Nature of Surface - Qualifying Terms"," ","COLOUR* ","(c)"," ","Color"," ","* Multiple characteristics, colors, and qualifiers may be used. See ","Seabed Sample Encoding","."," ","A complete description of a physical seabed sample consists of: one adjective describing the grain size or consistency; one adjective designating the color; and one noun naming the class of bottom material. If the sample consists almost entirely of one constituent, only one noun must be used. If the sample consists of two or more constituents, the nouns for the primary constituents must be used and arranged in order of their predominance. For example, if a sample of fine black sand contains a smaller portion of broken shells and a couple of pebbles, the bottom characteristic must be attributed as follows:\n              "," ","NATSUR: sand, shells, pebbles"," ","NATQUA: fine, broken, -"," ","COLOUR: black, - , - "," ","Sediments are typed according to the size of the particles. See Sediment Size Classification in ","Seabed Sample Encoding",". A measurement of careful estimation by eye is satisfactory. Technically there are two classes of material finer than sand. These are silt and clay. For practical purposes, silt and clay are classified under the general term of mud."," ","The return of an empty sampler is not a sufficient reason to label the bottom as hard or soft. If a physical seabed sample was attempted but no sample was recovered, the NATSUR will be categorized as Unknown. "," ","SBDARE (Seabed area)"," ","Line and area objects"," ","NATSUR ","(m)"," ","Nature of Surface"," ","WATLEV ","(m)"," ","Water Level Effect - reefs, ledges, and rocky seabed areas"," ","NATQUA ","(c)"," ","Nature of Surface = Qualifying Terms"," ","Use NATSUR = rock for rocky seabed areas and ledges."," ","SBDARE line or area objects may be used to characterize areas with numerous discrete submerged rocks (rather than encoding individual rock features) and/or areas of the seafloor that are rocky in nature. The extents of the area must be delineated and characterized as SBDARE (seabed area), and the attribute NATSUR (nature of surface) encoded as rock."," ","SLCONS (Shoreline construction)"," ","CATSLC ","(m)"," ","Category of shoreline construction"," ","CONDTN ","(c)"," ","Condition"," ","WATLEV ","(c)"," ","Water level effect"],[" ","Technique of Measurement for Features with VALSOU"," ","TECSOU Attribution"," ","QUASOU Attribution"," ","VBES (single beam) alone"," ","'1' found by echo sounder"," ","'1' depth known"," ","Side scan sonar alone"," ","'2' found by side scan sonar"," ","'9' value reported (not confirmed)"," ","Multibeam alone"," ","'3' found by multibeam"," ","'6' least depth known*"," ","Full coverage SSS with partial bathymetric coverage"," ","'3' found by multibeam, with metadata reflecting lack of full coverage"," ","'6' least depth known*"," ","Diver depth"," ","'4' found by diver"," ","'6' least depth known"," ","Lidar alone"," ","'7' found by laser"," ","'6' least depth known*"," ","Laser scanner alone"," ","'7' found by laser"," ","'6' least depth known*"," ","Depths on features using ","structure from motion"," ","'10' found by photogrammetry"," ","'2' depth unknown"," ","Depths on features using range finder or visual estimation"," ","'12' found by leveling"," ","'6' least depth known*"," ","* If point cloud data was obtained over a feature but the least depth of the feature was not captured, QUASOU can be attributed as '1' Depth Known."],[" ","Rocks, obstructions and wrecks may be classified as always underwater, awash, or covers and uncovers. Obstructions and wrecks may also be classified as always dry. "," ","A bare rock extends more than 0.1 meter above the shoreline plane of reference (","SPOR","), typically Mean High Water (","MHW",")."," ","A rock, which covers and uncovers is exposed at some stage of tide from 0.1 meter above MHW to 0.1 meter above ","chart datum","."," ","An awash rock lies less than 0.1 meter above chart datum to 0.1 meter below the chart datum."," ","A submerged (always underwater) rock is deeper than 0.1 meter from the chart datum."," ","Classification"," ","Always Underwater"," ","Awash"," ","Covers and Uncovers"," ","Always Dry"," ","Elevation (VALSOU or Height)"," ","> 0.1m below chart datum (e.g., ","MLLW"," or ","LWD","+)"," ","< 0.1m above chart datum (e.g., MLLW) to 0.1m below chart datum (e.g., MLLW) "," ","0.1m ","≥"," chart datum (e.g., MLLW) to 0.1m SPOR (e.g., MHW)"," ","> 0.1m SPOR (e.g., MHW)"," ","S-57 Object"," ","UWTROC"," ","OBSTRN"," ","WRECKS"," ","UWTROC"," ","OBSTRN"," ","WRECKS"," ","UWTROC"," ","OBSTRN"," ","WRECKS"," ","LNDARE & LNDELV*"," ","OBSTRN**"," ","WRECKS**"," ","WATLEV Value"," ","3 "," ","5 "," ","4 "," ","2 "," ","Vertical coordinate system is positive up for elevations and positive down for depths."," ","* A rock becomes an islet at 0.1 meters above SPOR (e.g. MHW). LNDARE point or area objects are used to characterize islets. Elevation for islets is encoded using the object LNDELV, with attribute ELEVAT, and is shown relative to the SPOR. "," ","** When the depth of an obstruction or wreck is greater than 0.1 meters above MHW, HEIGHT attribution is required rather than VALSOU. As with ELEVAT, heights are shown relative to SPOR (e.g., MHW). "]],"4":[[" ","New vs Update Encoding"],[" ","Obstructions (OBSTRN)"],[" ","Rocks (UWTROC)"],[" ","Wrecks (WRECKS)"],[" ","Additional Features"],[" ","TECSOU and QUASOU Attribution"],[" ","\n    WATLEV Attribution"]],"id":"15"})