rh._.exports({"0":[[" ","6.0 Grids"]],"1":[[" ","6.0 Grids"]],"2":[[" ","6.1 File Formats"],[" ","6.2 Lineage"],[" ","6.3 Required Metadata"],[" ","6.4 Resolution"],[" ","6.5 Data Gaps"],[" ","6.6 Coverage"],[" ","6.7 Varying Techniques and Metadata "],[" ","6.8 Grid Uncertainty"],[" ","6.9 Density"],[" ","6.10 User Overrides"],[" ","6.11 Algorithms"]],"3":[[" ","The table below lists file formats for grids derived from point cloud data that the Office of Coast Survey can review along with preferred file formats that will allow for the most efficient review timeline of the data submitted. ","For NOAA ","ISD"," surveys, BAG format files must be delivered which represent the final gridded data product for the survey. "," ","Table 6.1.0 OCS Reviewable Gridded Data Formats"," ","Format"," ","Preferred"," ","ONSWG"," ","BAG"," ","Y"," ","CARIS CSAR"," ","QPS GRD"," ","Esri ADF, GRD, or ASC"," ","ASCII XYZ"," ","Floating point GeoTIFF"," ","Submitted BAGs (and VR BAGs) must contain ","all the critical components of the BAG structure"," as defined by ","ONSWG",". Elevation and uncertainty layers must have values and must not be composed entirely of NaN. The uncertainty layer must only contain positive values and no zeros. If submitted BAGs do not contain the number of data points contributing to the depth/height solution and tracking list of user overrides, BAG submissions must be accompanied by precursor grids from processing projects. ","For NOAA ","ISD"," surveys, every node with a value in the elevation layer must have an associated value in the uncertainty layer, and every node with a value in the uncertainty layer must have an associated value in the elevation layer. Submitted VR BAGs must not have more than 10,000,000 refinement grids."],[" ","If grids submitted to the Office of Coast Survey are considered a finalized version and were derived from source grids, then the source grids must also be submitted, such that the submitted grids could be re-computed from the point cloud data. In this case, if depth thresholds have been applied, they must be applied only during the finalization stage."],[" ","In addition to the metadata requirements for the survey, additional metadata is required for grids submitted to the Office of Coast Survey. Some metadata are required for all point cloud data types, while some are dependent on the technique of data collection."," ","Table 6.3.0 Grid Metadata Types"," ","Metadata"," ","Technique"," ","Mandatory/Optional/Conditional"," ","Geodetic Parameters (see ","CRS",")"," ","All"," ","M"," ","Resolution"," ","All"," ","M"," ","Uncertainty"," ","Acoustic Bathymetry"," ","M"," ","Uncertainty"," ","Lidar"," ","O"," ","Vertical Uncertainty Type"," ","All"," ","C"," ","Number of data points contributing to the depth/height solution"," ","All"," ","M"," ","Grid Algorithm"," ","All"," ","M"],[" ","For NOAA ","ISD"," surveys, BAG submissions must also contain BAG-specific metadata entries as shown below."," ","Table 6.3.1 BAG Metadata Entries"," ","Attribute"," ","Entry"," ","Uncertainty Type"," ","\"Product Uncertainty\""," ","Abstract"," ","\"Project: OPR-X###-XX-##; Survey: X#####"," ","Status"," ","\"Historical Archive\""," ","Vertical Datum"," ","Chart datum (e.g. \"MLLW\", \"LWD\", etc.)"," ","Responsible Party"," ","Name"," ","\"Chief, Hydrographic Surveys Division\""," ","Position"," ","\"Chief, Hydrographic Surveys Division\""," ","Organization"," ","\"NOAA, NOS, OCS, Hydrographic Surveys Division\""," ","Role"," ","\"Point of Contact\""," ","Notes*"," ","\"Unclassified\""," ","Legal Constraints"," ","\"Other restrictions\""," ","Other Constraints"," ","\"This Dataset is not a standalone navigation product\""," ","Security Constraints*"," ","\"Unclassified\""," ","* In rare cases, if it is known that the bathymetry will not be publicly released, these fields should be marked as \"Restricted\""," ","For NOAA ISD surveys, BAG 2.0+ submissions must have the coordinate reference system as defined in CRS. For BAG versions prior to 2.0, the spatial reference system must be projected and the vertical datum must be defined per the project CRS. All BAGs submitted must also include the creation date, and the survey start and end dates."],[" ","For NOAA ","ISD"," surveys, the minimum required detected feature sizes will be provided in the Project Instructions and may consist of fixed and variable values. Gridded resolutions must be ½ the size of the required detected feature sizes for the given depth ranges. Minimum required detected feature size values are based on the Quality Metric Framework presented in the ","Introduction"," and the values are shown in the table below."," ","Table 6.4.0 Minimum Required Detected Feature Sizes"," ","OCS Quality Metric"," ","Fixed Minimum"," ","Variable Minimum"," ","Exceptional"," ","Cubic features > 0.5 meters"," ","N/A"," ","Critical"," ","Cubic features > 1.0 meter"," ","N/A"," ","General 1"," ","Cubic features > 2.0 meters in depths ","≤"," 40 meters"," ","Features measuring > 10% of depth vertically in depths > 40 meters"," ","General 2/3/4"," ","Not specified"," ","Not specified"," ","For NOAA ","ISD"," surveys, the minimum required grid resolutions to ensure compliance with ½ the size of the required detected feature sizes are given in the tables below and must be used. At least 95% of all grid nodes must have a resolution equal to or smaller than the minimum required resolution. For grids with General 1 metrics, at least 95% of all grid nodes must have a resolution equal to or smaller than the minimum required resolution for the node depth."," ","Table 6.4.1 Minimum Required Grid Resolution"," ","OCS Quality Metric"," ","Minimum Required Grid Resolution (m)"," ","Exceptional "," ","0.25"," ","Critical "," ","0.5"," ","General 1"," ","Depth dependent (see table below)"," ","General 2/3/4"," ","Not specified"," ","Table 6.4.2 General 1 Minimum Required Grid Resolution"," ","Depth Bands (m)"," ","General 1 Minimum Required Grid Resolution (m) "," ","Single Resolution (SR)"," ","Variable Resolution (VR)"," ","<0*-40 "," ","<0*-40"," ","1"," ","36-80"," ","40-80"," ","2"," ","72-160"," ","80-160"," ","4"," ","144-320"," ","160-320"," ","8"," ","288-640"," ","320-640"," ","16"," ","576-1280"," ","640-1280"," ","32"," ","1152+"," ","1280+"," ","64"," ","* If present, grid must include depths less than zero."," ","As described below in Section 6.7, grids must be submitted to the Office of Coast Survey so that the metadata (including Minimum Required Detected Feature Size) does not vary within a single grid. Thus, grids (including variable resolution grids) with Exceptional and/or Critical metrics (most often used in the 0-20 meter depth range) must be submitted in a grid that is separate from grids with General 1 metrics.  "],[" ","A gap in gridded data spanning a distance larger than the size of the features claimed to be detected by the survey is considered to be a ","holiday","."," ","For NOAA ","ISD"," surveys, there must be no holidays in the grid spanning potentially ","significant features",". To ensure there are no holidays, there must be no data gaps 3x3 grid nodes or larger at the minimum required grid resolution. The table below shows the holiday dimensions in meters. "," ","Table 6.5.0 Holiday Dimensions per Minimum Required Grid Resolution"," ","Minimum Required Grid Resolution (m)"," ","Dimensions of 3 x 3 grid nodes (m x m)"," ","0.25"," ","0.75 x 0.75"," ","0.5"," ","1.5 x 1.5"," ","1"," ","3 x 3"," ","2"," ","6 x 6"," ","4"," ","12 x 12"," ","8"," ","24 x 24"," ","16"," ","48 x 48"," ","32"," ","96 x 96"," ","64"," ","192 x 192"," ","For NOAA ","ISD"," surveys, grid resolutions utilized that are offset from the minimum required grid resolution, ensuring there are no data gaps equal to or larger than the data gap prescribed by the below equation will also ensure there are no holidays. "," ","For grid resolutions larger than the minimum required grid resolution, the result of the above equation cannot be less than 1 grid node."," ","If gridded data submitted to the Office of Coast Survey includes interpolated grid nodes to cover data gaps, the grids must include a flag for each node that indicates if the node was interpolated or not. Note that the inclusion of interpolated grid data without identifying the specific nodes that have been interpolated will preclude the use of the data for charted sounding application but it may be used for bathymetric modeling purposes as deemed appropriate by the Office of Coast Survey. "," ","For NOAA ","ISD"," surveys, interpolation in the grid to cover data gaps is prohibited unless authorized in the Project Instructions."],[" ","In some cases, 100% bathymetric coverage may not be required. The bathymetric coverage assessment must be included in the survey metadata. "," ","If a charted sounding, or other information regarding the nature of the seafloor, suggests that the depths between survey lines are not accurately portrayed, additional survey lines may be warranted to adequately define the horizontal and vertical extents of shoals, contours, and/or significant deeps at the scale of the intended products. ","For NOAA ISD surveys, in depths less than 20 meters, if a charted sounding falls between two survey lines and is more shoal than the linearly interpolated depth from adjacent surveyed data by more than the maximum allowable TVU of the linearly interpolated depth, then the Field Unit must acquire additional data to verify or disprove the potential shoal depth. If this requirement results in inordinately increased survey mileage, the Field Unit should contact their OCS Project Manager and/or COR to discuss the best way to proceed."],[" ","If multiple source techniques are used to cover a survey area, they must be submitted to the Office of Coast Survey in separate grids containing a single source technique. If survey requirements or survey techniques result in variations in the metadata as shown in ","Reports",", then they must be submitted to the Office of Coast Survey in separate grids so the metadata does not vary within a single grid. "],[" ","The uncertainty value for the grid node must be reflective of the survey system as a whole, including all instrument, measurement, and environmental uncertainty sources, and represent the hydrographer’s best understanding of the ","Total Vertical Uncertainty"," of the final depth estimate presented for the grid node. These uncertainty values may consist of an a priori and a posteriori calculation or explicitly empirical values (e.g. based on a standard deviation of vertical depths). "," ","Failure to provide uncertainty values will result in the Office of Coast Survey determining the appropriate uncertainty based on an evaluation of the data and metadata provided, as well as any other factors that are deemed relevant at the sole discretion of the Office of Coast Survey. "," ","If using a topo-bathymetric airborne lidar system, vertical uncertainty values may be provided to the Office of Coast Survey based on the ","Eren et al. model (2019)"," if it has been computed. "," ","For NOAA ","ISD"," surveys, final uncertainty values must be based on a TPU model based on the Hare-Godin-Mayer model (1995 plus later improvements), and 95% of all the uncertainty values reported in the grid nodes must not exceed the maximum allowable TVU as defined in ","Point Cloud","."," ","In some rare cases, it may be appropriate for ","External Source Data providers"," to use standard deviation-based values for the final reported uncertainty. Field Units electing to use standard deviation-based values for the final uncertainty reported in the submitted grids must ensure that the sample size of independent measurements is no less than 3 independent measurements. Examples of independent measurements include any combination of two or more of the following, but are not limited to:"," ","Different vessels."," ","Different measurement sensors."," ","Different days."," ","Different water level stages."," ","Different datum separation models."," ","Different GNSS orbits."," ","\n    External Source Data providers who have questions about the appropriate uncertainty method to apply may direct their questions to the ","Office of Coast Survey’s ASSIST portal",", utilizing the Questions & Comments tab."," ","The hydrographer must examine the submitted grids and explain any areas of unusually high or low uncertainty. "],[" ","Grids submitted to the Office of Coast Survey that include uncertainty must include metadata about how uncertainty was determined."," ","For NOAA ","ISD"," surveys, the BAG Uncertainty Type must be populated with “Product_Uncert” per the BAG Format Specification Document. "],[" ","For NOAA ","ISD"," surveys, at least 95% of all grid nodes must be populated with at least 5 soundings."],[" ","There may be occasions when the chosen gridding algorithm has produced a result that does not reflect the conditions throughout the entirety of the survey area. In such cases, the hydrographer may choose to override individual grid nodes produced by the gridding algorithm with a user override (commonly referred to as a designated sounding, or golden sounding) to force the grid to better portray the conditions. "," ","As a rule, the sounding designation process should be exclusive and utilized only when the hydrographer determines it is the only tool available to accurately portray the conditions in the survey area. If a hydrographer chooses to designate a sounding, the selected sounding must represent the most reliable least depth of the feature in question. For more information on guidelines for selecting designated soundings, please see the ","Field Procedures Manual",". "," ","If the hydrographer has overridden the gridding algorithm, a tracking list of those overrides must be included in the grid which includes a description of the position of the modified grid node, the original elevation, and uncertainty values. "],[" ","Grids submitted to the Office of Coast Survey must include metadata about the gridding algorithm used to calculate grid values. The table of gridding algorithms below is based on IHO Special Publication Number 102, 2nd Edition."," ","Table 6.11.0 Gridding Algorithms"," ","Algorithm"," ","Preferred"," ","Basic Weighted Mean"," ","Shoalest Depth"," ","Y"," ","Shoalest Depth true position"," ","Y"," ","TPU Weighted Mean"," ","Y"," ","CUBE"," (","reference",")"," ","Y"," ","Nearest Neighbor"," ","Natural Neighbor"," ","Polynomial Tendency"," ","Spline"," ","Kriging"," ","For NOAA ","ISD"," surveys, the gridding algorithm/population method must be CUBE unless the Project Instructions indicate otherwise."],[" ","When using the CUBE algorithm, the maximum propagation distance must be no more than the grid resolution divided by the square root of 2. "," ","Variable resolution surface requirements and recommendations for grids submitted to the Office of Coast Survey are presented in the tables below."," ","Table 6.11.1 VR Ranges Parameters"," ","Estimation Method"," ","Ranges"," ","Range Estimation Method"," ","Percentile"," ","Recommendation"," ","Range Percentile"," ","50"," ","Recommendation"," ","Input Band"," ","Depth"," ","Recommendation"," ","Keep Partial Bins"," ","True"," ","Recommendation"," ","Maximum Grid Size"," ","128 meters"," ","Recommendation"," ","Minimum Grid Size"," ","4 meters"," ","Recommendation"," ","Table 6.11.2 VR Calder-Rice Density Parameters"," ","Estimation Method"," ","Calder-Rice Density"," ","Finest Resolution"," ","0.1 meters"," ","Recommendation"," ","Points Per Cell"," ","15"," ","Recommendation"," ","Keep Partial Bins"," ","True"," ","Recommendation"," ","Maximum Grid Size"," ","128 meters"," ","Recommendation"," ","Minimum Grid Size"," ","4 meters"," ","Recommendation"," ","Coarsest Resolution"," ","64 meters"," ","Recommendation"," ","Area Estimation Method"," ","Swath"," ","Recommendation"," ","Supergrid Size"," ","64 meters"," ","Recommendation"," ","Table 6.11.3 VR Population Method Parameters"," ","Population Method"," ","All"," ","Input Band"," ","Depth"," ","Requirement"," ","Primary Band"," ","null"," ","Requirement"," ","Vertical Uncertainty Band"," ","Depth TPU"," ","Requirement"," ","Horizontal Uncertainty Band"," ","Position TPU"," ","Requirement"," ","Disambiguation Method"," ","Density and Locale"," ","Requirement"," ","Bounding Polygon Type"," ","Buffered"," ","Requirement"," ","Keep Up To Date"," ","True"," ","Requirement"," ","Display Bias"," ","Highest"," ","Requirement"," ","Use CHGF Mean Distance"," ","null"," ","Requirement"]],"4":[[" ","BAG Metadata"],[" ","Vertical Uncertainty Type"],[" ","Grid Algorithm Parameters"]],"id":"17"})