rh._.exports({"0":[[" ","14.0 Survey Findings"]],"1":[[" ","14.0 Survey Findings"]],"2":[[" ","14.1 Report of Survey"],[" ","14.2 Coast Pilot Report"],[" ","14.3 Dangers to Navigation"],[" ","14.4 Charted Feature Removal Request"],[" ","14.5 Seep and Pipeline Reports"],[" ","14.6 Potentially Sensitive Data Findings"]],"3":[[" ","The Report of Survey is required to accompany survey data submission. The Report of Survey may be written in prose with sections as described below, or it may be composed via ","Pydro",", a freely available, open-source tool ","published"," by the Office of Coast Survey that includes XML reporting."],[" ","Failure to provide uncertainty values will result in the Office of Coast Survey determining the appropriate uncertainty based on an evaluation of the data and metadata provided, as well as any other factors that are deemed relevant at the sole discretion of the Office of Coast Survey."," ","\n    If using a topo-bathymetric airborne lidar system, a vertical uncertainty model may be provided to the Office of Coast Survey based on the ","Eren et al. model (2019)"," if it has been computed. "],[" ","All data submitted to the Office of Coast Survey must include a description of any unresolved errors in the provided dataset that exceeds maximum allowable uncertainties as described in ","Point Cloud",". A description of any attempts to resolve the errors may also be included. "],[" ","If the Field Unit experiences any unusual conditions that will affect the assessment of the data or would assist in planning future surveys in the area, these must be noted in the Report of Survey. "],[" ","Additional information may include recommendations for additional work, observations on the weather, observations of significant changes to shoreline or shoreline construction, or any other information that the Field Unit believes would assist in planning future surveys in the area."],[" ","For NOAA ","ISD"," surveys, it is required to list a record of any alterations to the Project Instructions (ex. changes memos, waivers) and the date the change was made."],[" ","For NOAA ","ISD"," surveys, it is required to list the supplemental records, reports, and data files that were sent during the survey, and the date they were sent. Supplementals include the Coast Pilot Report, Danger to Navigation Report(s), Charted Feature Removal Report(s), Seep and Pipeline Report(s), list of Trained Marine Mammal Observers, Final Survey Outline, and NCEI Sound Speed Data. Do not list Progress Reports in this section."],[" ","For NOAA ","ISD"," surveys, the Report of Survey must be combined with the other reports required for submission to the Office of Coast Survey (Metadata, Equipment List, Quality Control Procedures, and Control Point Establishment, as described in ","Reports","), printed to PDF, and digitally signed."],[" ","For NOAA ","ISD"," surveys, verification of Coast Pilot information referred to as a Coast Pilot Review must be conducted for each assigned survey area. Additionally, information relating to the general operations area (e.g., areas frequently transited and facilities utilized during in-ports) should be reviewed and verified or updated to whatever extent practicable."," ","\n      A Coast Pilot Field Report will be provided by the Office of Coast Survey. This report may contain specific questions about items in the Coast Pilot that require field verification or clarification. In addition, this report may contain the actual paragraphs from the Coast Pilot that are affected by the survey area."," ","\n      Coast Pilot is updated weekly. Updated Coast Pilot books can be downloaded from the Coast Pilot website. The hydrographer must first download the latest edition of Coast Pilot and compare it against the information contained in the Coast Pilot Field Report. In the event of a conflict between the two sources, the review must be completed using the information in the downloaded Coast Pilot."," ","\n      The Field Unit must use either the latest edition of the Coast Pilot downloaded from the ","Coast Pilot website",", or the Coast Pilot Field Report, whichever is the latest version. "," ","A Coast Pilot Review Report must be submitted following the completion of operations within a project area, and no later than at the time of submission of the first survey for that project. If an updated edition of the Coast Pilot was used, this must be noted. In this report, the hydrographer must respond to each question posed in the Coast Pilot Field Report. If the hydrographer is not able to address a specific question, that must also be noted. In addition, the hydrographer must make reasonable attempts to verify the text of the actual Coast Pilot paragraphs that are affected by the survey during field operations. Updates must be made as follows:"," ","Deletions to the existing text must be shown as strikethroughs."," ","Recommended revisions, including any new information that would be beneficial to the mariner, must be shown in red text."," ","Existing text that has been reviewed and verified to be correct during Field Unit operations must be changed to green text."," ","Existing text that could not be verified or refuted during operations must remain in black."," ","The consolidated Coast Pilot Review Report must be submitted in a PDF and must include answers to the specific questions, updates to the actual paragraph text, and the original Coast Pilot Field Report. This file must be named per the file naming convention presented in ","Delivery Structure",". "," ","\n      Field Units must submit this file via email to ","ocs.ndb@noaa.gov"," and ","coast.pilot@noaa.gov"," with a CC to the OCS Project Manager and/or COR. List the submission and date of submission in the Supplementals section of the Report of Survey."],[" ","All features with depths of 20 meters or less in navigable waters may be considered potential ","Dangers to Navigation"," (DTON) and subject to reporting. Potential DTONs should be evaluated in the context of the largest scale chart of the area and with detailed knowledge of vessel traffic in the area, including usual and seasonal routes."," ","For NOAA ","ISD"," surveys, as soon as practicable after discovery, the hydrographer must report all DTONs to the appropriate authority. Timeliness is a critical issue in reporting DTONs. Should additional dangers be discovered during the processing of the survey, they must be immediately reported."],[" ","External Source Data providers"," may report DTONs through the ","Marine Chart Division's ASSIST customer service chart reporting system","."," ","NOAA Field Unit Reporting"," ","For NOAA ","ISD"," surveys, Field Units must submit all NOAA DTONs via email directly to Marine Chart Division’s (MCD) Nautical Data Branch at email address ","ocs.ndb@noaa.gov",", with a CC to the OCS Project Manager, HSD Operations Branch Chief at ","hsd.chief.ops@noaa.gov"," or NSD Navigation Response Branch Chief at ","chief.nrb.ocs@noaa.gov"," as appropriate, the Chief of the applicable Hydrographic Branch, the applicable Regional Navigation Manager and ","ocs.nbs@noaa.gov","."," ","The email subject line must adhere to the following convention:"," ","<registry number> DTON ##"," ","e.g., H12345 DTON 03"," ","The body of the email must list the following metadata in the following order:"," ","General Locality"," ","Sub-locality"," ","Project Number"," ","Registry Number"," ","Field Unit"," ","The feature file: "," ","May contain point, line, or area features."," ","Must adhere to the naming convention presented in ","Delivery Structure","."," ","Must include NOAA Field Unit DTON recommendations and be generated as described in ","Features."," ","Must be attributed in accordance with the ","Feature Attribute Encoding Guide","."," ","At least one chartlet image portraying the feature least depth sounding and position with the largest-scale ENC as the background must be compressed in a single zip file and included with the naming convention presented in ","Delivery Structure","."," ","Images of sonar data (e.g., multibeam or side scan imagery) must not be included."," ","Attach the feature file and accompanying multimedia zip file to the email."," ","\n      List each submission and date of submission in the Supplementals section of the Report of Survey. "," ","NOAA Contractor Unit Reporting"," ","Contractors must submit all NOAA DTONs via email to the OCS Project Manager and/or COR and the appropriate Hydrographic Branch (","ahb.dton@noaa.gov"," or ","phb.dton@noaa.gov",") stated in the Hydrographic Survey Project Instructions."," ","\n      Contractor DTON recommendations must be submitted as a feature file attributed in accordance with the ","Feature Attribute Encoding Guide",". The feature reporting must adhere to the same requirements as NOAA Field Unit Reporting with the exception:"," ","Submit sonar images of multibeam and side scan sonar images as supporting data. All images and chartlets must be submitted in a multimedia zip file."],[" ","NOAA is not the source authority for some charted features such as controlling depths in federal channels, Aids to Navigation (ATONs), bridge heights, and pipelines. The reporting procedures for these types of dangers are described in this section."," ","Federal USACE Channels"," ","The U.S. Army Corps of Engineers (USACE) is a source of controlling depths in federal channels on NOAA charts. If surveying within a USACE maintained channel, the hydrographer must conduct a comparison of survey depths with the ","DRVAL1"," attribute found in the ENC's ","DRGARE"," feature object in all maintained channels. ","For NOAA ","ISD"," surveys, when survey ","sounding","(s) or obstructions located in the channel are found to be shoaler than the controlling depth of that channel, then the hydrographer must immediately report these results to the OCS Project Manager and/or COR with a CC to the HSD Operations Branch Chief at email ","hsd.chief.ops@noaa.gov"," or NSD Navigation Response Branch Chief at ","chief.nrb.ocs@noaa.gov",", as appropriate. The OCS Project Manager and/or COR will inform the Navigation Manager via email with a CC to ","CAB.Chief@noaa.gov"," and ","ocs.nbs@noaa.gov",". List each submission and date of submission in the Supplementals section of the Report of Survey."," The ","Navigation Manager"," must address the issue with the USACE, USCG, and communicate the findings to the local Pilots."," ","Aids to Navigation (USCG)"," ","The ","U.S. Coast Guard (USCG) Local Notice to Mariners"," and the ","USCG Light List"," are the sources of charted Aids to Navigation on NOAA charts."," ","Class I and Class II Aids to Navigation"," ","If any type of aid to navigation that is listed in the USCG Light List and that the USCG considers as a ","Class I Aid to Navigation"," or a ","Class II Aid to Navigation"," is found to be uncharted, missing, or repositioned, the hydrographer must report it to the USCG using the ","USCG Navigation Center’s Online ATON Discrepancy Report Form",". ","For NOAA ","ISD"," surveys, a PDF copy of the report submitted to the Navigation Center (select “printer friendly version”) must be emailed to the OCS Project Manager and/or COR and Navigation Manager. List each submission and date of submission in the Supplementals section of the Report of Survey."," ","Class III Aids to Navigation"," ","If any private navigation aid that the USCG considers as a ","Class III Aid to Navigation",", and not included in the USCG Light List, is found to be uncharted, missing, or repositioned, the hydrographer must report it through the ","Marine Chart Division’s ASSIST customer service chart reporting system","."," ","Report the private aid to navigation using the ‘Report an Error’ tab, providing the reporting person’s email address, attributing the geographic location of the discrepancy, selecting the type of user, describing the error, selecting the product type, attributing the observation date, and attaching any images or documents. The ASSIST system will respond with an email from ","ocs.customersupport@noaa.gov."," ","For NOAA ","ISD"," surveys, that email must be sent to the OCS Project Manager and/or COR, and the Navigation Manager. List each submission and date of submission in the Supplementals section of the Report of Survey."," ","Bridge Heights (USCG)"," ","The USCG is a source of bridge heights on NOAA charts. If a bridge height is found to be inaccurate or missing from a chart during field work, the hydrographer must inform the local ","USCG District’s Bridge Program"," via email with the pertinent information. ","For NOAA ","ISD"," surveys, CC the OCS Project Manager and/or COR and the Navigation Manager. List each submission and date of submission in the Supplementals section of the Report of Survey. "," ","For NOAA ","ISD"," surveys, information regarding bridge heights sent to USCG must also be sent to the Marine Chart Division (MCD) Nautical Data Branch via email as follows:"," ","The body of the email must list the following metadata in the following order:"," ","General Locality"," ","Sub-locality"," ","Project Number"," ","Registry Number"," ","Field Unit"," ","A feature file of the bridge"," ","Must be generated as described in ","Features"," and attributed in accordance with the ","Feature Attribute Encoding Guide","."," ","Must include vertical clearance of the bridge."," ","For bridges that open or lift, the opened and closed vertical clearance of the bridge must also be included."," ","For NOAA Field Units, the feature file must be submitted to the Nautical Data Branch at ","ocs.ndb@noaa.gov",", with a CC to the OCS Project Manager and/or COR with the naming convention presented in ","Delivery Structure","."," ","For Contractors, the feature file must be submitted to the OCS Project Manager and/or COR and the appropriate Hydrographic Branch stated in the Hydrographic Survey Project Instructions (","ahb.dton@noaa.gov"," or ","phb.dton@noaa.gov",") with the naming convention presented in ","Delivery Structure",". "," ","List each submission and date of submission in the Supplemental section of the Report of Survey."],[" ","Charted features that are determined not to exist and that have a significant impact on navigation should be expeditiously removed from the chart, if sufficiently disproved. In particular, this includes disproved “Position Approximate” wrecks and obstructions that are located in major shipping corridors. The Charted Feature Removal Request (commonly known as an Anti-DTON) is similar to a Danger to Navigation Report, except it is used to remove a charted feature that represents a hazard, which does not exist, rather than add a newly found hazard. This process should be used sparingly, usually by responding to a request from local pilots or other authorities that a charted feature is a hindrance to operations. If the removal of a feature is not time-critical, do not use the Charted Feature Removal Request (Anti-DTON)."," ","For NOAA ","ISD"," surveys, if local authorities request the hydrographer to investigate a feature that has not been assigned, contact the OCS Project Manager and/or COR for a determination of the search criteria. Once the hydrographer meets the search criteria and determines the feature does not exist, they must prepare the Charted Feature Removal Request and follow the same submission procedure and format requirements as Dangers to Navigation."],[" ","For NOAA ","ISD"," surveys, seeps and unburied charted and uncharted pipelines must be reported to the appropriate federal or state contact listed in the Project Instructions, with a CC to the OCS Project Manager and/or COR and the Navigation Manager. A single email may contain multiple reports for either seeps or pipeline reports."," ","For possible seeps, the body of the email must include:"," ","The location of the seep (latitude/longitude). "," ","The distance from the charted feature."," ","The date and time of observation."," ","The depth (if appropriate)."," ","An image."," ","Sample text for seep:"," ","Subject: Possible Seep 1"," ","Body: A NOAA Contractor surveying in the Gulf of Mexico has discovered a possible seep. The feature has a form and morphology typical of ascending gas or bubble plumes and was found at latitude XXX/longitude XXX on January 1, 2017 at 0902 UTC. This feature is X meters from the (un)charted wellhead."," ","For unburied pipelines, the information must be conveyed in an Excel spreadsheet, attached to the email. The Excel spreadsheet must have the following columns in this order:"," ","Starting Latitude"," ","Starting Longitude"," ","Ending Latitude"," ","Ending Longitude"," ","Bearing"," ","Length (meters)"," ","Height Above Seafloor (meters)"," ","Survey Sheet"," ","Date of Discovery"," ","Comments"," ","A zip file of any related 2D/3D images from the multibeam echo sounder or side scan sonar data acquired over each exposure must also be attached to the email. "," ","Charted or uncharted pipelines that are elevated at least 1 meter off the bottom between depths of 0 and 20 meters and 10% off the bottom in depths greater than 20 meters may pose a hazard to surface navigation and may be considered as a DTON."," ","Uncharted exposed or elevated pipelines that are not considered DTONs must be reported to the Marine Chart Division (MCD) Nautical Data Branch. This reporting may include some of the same pipelines reported to the federal or state contact."," ","NOAA Field Units must submit all uncharted, non-dangerous, exposed pipelines via email directly to Nautical Data Branch as follows: "," ","The email subject line must adhere to the following convention:"," ","<registry number> Non-Dangerous Pipeline Submission ##"," ","e.g., H12345 Non-Dangerous Pipeline Submission 03"," ","The body of the email must list the following metadata in the following order:"," ","General Locality"," ","Sub-locality"," ","Project Number"," ","Registry Number"," ","Field Unit"," ","Screen captures of side scan sonar images, multibeam images, or chartlets (if applicable) of the exposed pipeline."," ","A feature file of the pipeline."," ","Must be delineated as PIPSOL line objects."," ","Must be generated as described in ","Features"," and attributed in accordance with the ","Feature Attribute Encoding Guide","."," ","Must also include any features connected to the pipeline that provide insight into the pipeline's type."," ","The feature files and images must be submitted to the Nautical Data Branch at ","ocs.ndb@noaa.gov",", with a CC to the OCS Project Manager and/or COR with the naming convention presented in ","Delivery Structure","."," ","\n      Contractors must submit non-dangerous exposed pipelines via email to the OCS Project Manager and/or COR and the appropriate Hydrographic Branch stated in the Hydrographic Survey Project Instructions (","ahb.dton@noaa.gov"," or ","phb.dton@noaa.gov",") with the naming convention presented in ","Delivery Structure","."," ","\n      List each submission and the date of submission in the Supplementals section of the Report of Survey."],[" ","For NOAA ","ISD"," surveys, a preliminary feature file summarizing all uncharted wrecks and uncharted anthropogenic obstructions in the hydrographic survey must be submitted as soon as practicable after all features are identified in the survey, to be evaluated for potential historical significance. "," ","The preliminary feature file must only contain uncharted wrecks and uncharted anthropogenic obstructions per the requirements as described in Section 7.4 of ","Features",". Pound stakes, pilings, and active, unused, or ruined fishing facilities must not be included in the preliminary feature file."," ","Features that are already charted but found in a different position (generally speaking within the disproval search radius from its position as charted) must not be included in the preliminary feature file, with the exception of any DTONs that were submitted during survey operations and subsequently charted."," ","Wrecks and anthropogenic obstructions that were submitted as DTONs must be included in the preliminary feature file."," ","NOAA Field Units and Contractors must submit all potentially sensitive data findings via email to the Hydrographic Branch at ","feature.reporting@noaa.gov",", with a CC to the OCS"," "," Project Manager and/or COR."," ","The email subject line must adhere to the following convention:"," ","<registry number> Feature Report ##"," ","e.g., H12345 Feature Report 03"," ","The body of the email must list the following metadata in the following order:"," ","General Locality"," ","Sub-locality"," ","Project Number"," ","Registry Number"," ","Field Unit"," ","The preliminary feature file:"," "," May contain point, line, or area features."," ","Must adhere to the naming convention presented in ","Delivery Structure","."," ","Must be generated as described in ","Features."," ","Must be attributed in accordance with the ","Feature Attribute Encoding Guide."," For timeliness, preliminary attribution that differs from the attribution in the final feature file is acceptable."," ","At least two images are required per feature and may include multibeam subset images or side scan contact images. "," ","If side scan sonar data was collected, a side scan image is required. "," ","Submitting only one image for a particular feature is acceptable if:"," ","Multiple views of a feature are included in the same image (for example, 2D and 3D point cloud views)."," ","The feature was found in side scan sonar data from one pass and it is located in a shoal area where it is not safe to conduct further investigation."," ","Images must include the approximate dimensions (length, width, and height) in meters."," ","Images must be compressed in a single zip file with the naming convention presented in ","Delivery Structure","."," ","Attach the feature file and accompanying multimedia zip file to the email."," ","If there were no potentially sensitive data findings identified in the survey:"," ","The email must be sent per the above requirements, but without an attachment and with the subject line:"," ","<registry number> - no potentially sensitive data findings"," ","e.g., H12345 - no potentially sensitive data findings"," ","List each submission and the date of submission in the Supplementals section of the Report of Survey. If there were no potentially sensitive data findings identified in the survey, list the date the email was sent indicating so in the Supplementals section of the Report of Survey, along with a comment that none were found."]],"4":[[" ","Uncertainty Sources"],[" ","Error Sources"],[" ","Unusual conditions"],[" ","Additional information"],[" ","PI Alterations"],[" ","Supplementals"],[" ","Signature"],[" ","Reporting DTONs to NOAA"],[" ","Reporting DTONs to Non-NOAA Source Authorities"]],"id":"18"})