rh._.exports({"0":[[" ","1.0 Introduction"]],"1":[[" ","1.0 Introduction"]],"2":[[" ","1.1 Why was the HSSD rewritten? "],[" ","1.2 Vision for the HSSD"],[" ","1.3 How to use this Document"],[" ","1.4 Note to External Source Data Providers"],[" ","1.5 Quality Metric Framework"],[" ","1.6 References"]],"3":[[" ","The Hydrographic Surveys Specifications and Deliverables (HSSD) contains the technical specifications for hydrographic survey data submitted to the Office of Coast Survey. This \"revamped\" version (with an initial release date in 2024) is the product of numerous subject matter experts who collaborated to modernize the HSSD in order to better support the Office of Coast Survey as a data-driven organization."],[" ","The initial version of the HSSD was published in 2000. Since then, technology has improved drastically - multibeam technology has evolved, and various other remote sensing mapping techniques have proliferated in the hydrographic industry. Advanced tools allow for faster processing and quality review through automation. The Office of Coast Survey has expanded data pipelines to incorporate non-traditional sources of external data, while simultaneously allowing for a more efficient model of product generation via the National Bathymetric Source (NBS). While the HSSD was revised annually based on feedback from the hydrographic community, updates were added onto a foundation that had become outdated, resulting in a version that may have begun to lack overall congruence and cohesiveness over the years."],[" ","The HSSD overhaul project commenced with a particular vision - to rewrite specifications to be forward-looking with respect to new and developing technology, to best facilitate automated tools, and to better integrate with the NBS and S-100 based products, including precision marine navigation products. Additionally, the HSSD will better accommodate the increasing amounts of hydrographic data obtained opportunistically from external sources, with metadata tags to denote data quality and universal data licenses to define terms of use. The revamped HSSD draws from decades of experience contained within previous versions. It is further developed by subject matter experts within NOAA, while it also leverages existing knowledge from other hydrographic offices and within the larger hydrographic community."],[" ","More flexibility to accommodate hydrographic surveys acquired with new and evolving technologies (e.g. laser scanners, satellite-derived bathymetry, photogrammetry), in addition to the acoustic-based surveying that is the core proficiency of the Office of Coast Survey."," ","Designed from the start to ensure hydrographic data is best fit for application to products based in the International Hydrographic Organization (IHO) S-100 framework."," ","Better integration with the requirements for data ingest into the NBS, the Office of Coast Survey database for the best available bathymetry. "," ","More accommodating of external data submissions, a data stream critically important in achieving national and global mapping objectives."," ","Utilizes universal, machine-readable data licenses to standardize and streamline data handling, and to safeguard the interests of data providers."," ","Improved metadata guidance to better define coordinate reference systems (CRS) and any new CRS realizations via coordinate transformation in accordance with the Bathymetric Attribute Grid (BAG) 2.0 specification."," ","Fully compliant with Section 508 of the Rehabilitation Act (29 U.S.C. ","§"," 794d)."," ","HTML and PDF versions supported."," ","In addition to ensuring safe navigation, hydrographic data acquired (and that is contributed) is a key component to a vibrant maritime economy. These data provide the scientific foundation for applications such as habitat mapping and restoration, seafood production, tourism and recreation, renewable energy, climate adaptation strategies, and coastal flood mitigation. "],[" ","The HSSD provides the technical specifications for hydrographic data submission to the Office of Coast Survey. Users seeking something other than technical specifications (e.g. theory, best practices, or standard operation procedures) should refer to the Office of Coast Survey ","Field Procedures Manual",", ","International Hydrographic Organization (IHO) publications",", or hydrographic community resources such as the ","Multibeam Advisory Committee (MAC)","."," ","The HSSD is designed to inform providers of both Internal Source Data and External Source Data of the technical specifications for hydrographic data submission to the Office of Coast Survey."," ","Internal Source Data (ISD) providers are defined as Field Units who are tasked via Hydrographic Survey Project Instructions issued by the Office of Coast Survey. ","The blue text used in this document calls attention to verbiage that is specific only to ISD providers. Additionally, this text is denoted with \"for NOAA ","ISD"," surveys\"."," ","External Source Data (ESD) providers are all other data providers that are not ISD. They include our federal partners, and other hydrographic offices; our partners in academia, the private industry, and other NOAA line offices outside of the Office of Coast Survey; as well as states, cities, parks, and ports, and more. ESD providers are encouraged to reference this document to aid in the submission of hydrographic data to the Office of Coast Survey."," ","Words used in this document to denote mandatory or permissive actions are defined as follows below. ","For NOAA ","ISD"," surveys, strict adherence to these definitions is required, unless superseded by Project Instructions. For NOAA ISD, directions provided in the Project Instructions supersede HSSD requirements. "," For ESD adherence to the below definitions, there is a caveat, as described in the Note to External Source Data Providers section. "," ","“Must” means the procedure or standard is mandatory."," ","“Should” means the procedure or standard is recommended."," ","“May” means that the procedure or standard is optional."," ","“Will” means futurity of action only and does not indicate any degree of requirement for application of a procedure or meeting a standard."],[" ","External Source Data (ESD) providers may submit data to the Office of Coast Survey that was not originally intended for updates to navigational products and therefore may not comply with the mandatory procedures or standards (i.e. any statement with a \"must\") as described in this document. This is common. ESD that does not comply with these specifications should not preclude the providers from submitting their bathymetric data to the Office of Coast Survey. Most importantly, ESD providers should ensure their bathymetric data is accompanied by ","Minimum Metadata"," (defined in the Glossary), or if feasible, complete metadata as listed in ","Reports",". Submissions lacking Minimum Metadata will preclude the Office of Coast Survey from assessing the ESD submission. For example, the Office of Coast Survey is unable to use any data without a data license."," ","Upon submission, all ESD is reviewed by Office of Coast Survey hydrographers with regard to data quality indicators that describe positional and depth accuracy, type of seafloor coverage, and survey characteristics. Ultimately, a category zone of confidence (CATZOC) is assigned to the data, which is used to support safe navigation by informing mariners of charted data quality. As close as feasible adherence to the procedures or standards in this document helps the Office of Coast Survey to more rapidly qualify data submissions and enables an intensive assessment of quality metrics. For example, if complete metadata is not provided, the Office of Coast Survey may inflate positional or vertical uncertainty associated with the data due to the lack of information, which ultimately results in a degraded zone of confidence. The Office of Coast Survey errs on the side of caution when communicating data quality metrics to mariners with safety of navigation as our top priority. "," ","ESD is a vital data stream into the Office of Coast Survey, critically important for meeting various mapping objectives. Over the years, ESD has routinely been used for application into our various products and services. ESD updates charts and models, it fills in bathymetric gaps, it identifies dangers to navigation, and it is used for planning purposes, reconnaissance, chart adequacy assessment, and more. To learn more about the many uses of ESD, or if interested in submitting bathymetric data, it is encouraged to fill out the Integrated Ocean and Coastal Mapping ","engagement form"," to get a conversation started. The Office of Coast Survey is very grateful to all ESD providers for their contributions."],[" ","The Office of Coast Survey quality metric framework, often referenced in the ","Point Cloud"," and ","Grids"," sections, is based on the IHO Special Publication Number 101, 1st Edition. The framework remains consistent from survey specification to published product, which ensures information integrity and a streamlined workflow. The parameters within the framework align loosely to the orders prescribed by the IHO Special Publication Number 44, 6th Edition, and to the category zones of confidence (CATZOC) prescribed by the IHO Special Publication 67, 1st Edition, which together encompasses all the types of data the Office of Coast Survey receives, from NOAA ","ISD"," surveys to all varieties External Source Data (ESD) submissions. Note, ","ESD"," need not meet a specific OCS quality metric, IHO order, or zone of confidence in order to be submitted to the Office of Coast Survey. Lastly, the parameters should be considered \"ungrouped\", i.e. a survey may meet \"Exceptional\" requirements in one parameter, but only have achieved \"General 2\" requirements in another."," ","Table 1.5.0 OCS Quality Metric Alignment"," ","OCS Quality Metric"," ","IHO Order"," ","Zone of Confidence"," ","Exceptional"," ","Exclusive"," ","Critical"," ","Special"," ","General 1"," ","1a/1b"," ","A1"," ","General 2"," ","2"," ","A2"," ","General 3"," ","B"," ","General 4"," ","C"],[" ","Definitions for some terms in this document are derived from the following:"," ","ENC Product Specification S-101, Edition 1.1.0 (April 2023). International Hydrographic Organization."," ","IHO Transfer Standard for Digital Hydrographic Data S-57, Edition 3.1 (November 2000). International Hydrographic Organization."," ","Mariners' Guide to Accuracy of Depth Information in Electronic Navigational Charts (ENC) S-67, Edition 1.0.0 (September 2020). International Hydrographic Organization."," ","NOAA Nautical Chart Manual Vol 1-3, Version 2022.2 (7/8/22). U.S. Department of Commerce, Office of Coast Survey."," ","Regulations of the IHO for International (INT) Charts and Chart Specifications of the IHO, Edition 4.8.0 (October 2018). International Hydrographic Organization."," ","Standards for Hydrographic Surveys S-44, Edition 6.1.0 (September 2020). International Hydrographic Organization."," ","Universal Hydrographic Data Model S-100, Edition 4.0.0 (December 2018). International Hydrographic Organization."]],"4":[[" ","Objectives for the revamped HSSD"]],"id":"6"})