rh._.exports({"0":[[" ","7.0 Features"]],"1":[[" ","7.0 Features"]],"2":[[" ","7.1 File Formats"],[" ","7.2 Required Metadata"],[" ","7.3 Feature File Attribution"],[" ","7.4 New Features"],[" ","7.5 Feature Disprovals"]],"3":[[" ","For surveys that have claimed to detect features, a file containing the 2D position, ","depth","/","height"," (if applicable), and a description of the features must be submitted to the Office of Coast Survey."," ","For NOAA ","ISD"," surveys, any point feature derived from point cloud data must have the least depth of the feature measured. For surveys using a multibeam echo sounder, to the extent possible at least one additional survey line perpendicular to the mainscheme should be acquired over the feature, or water column data must be collected atop the feature, to ensure the least depth was measured."," ","The 2D positions of the features in the feature file must match the 2D positions of the point cloud data from which they have been derived by less than the reported horizontal uncertainty for the survey or by a one grid-node buffer, whichever is the least. The one grid-node buffer means that the grid node depth that corresponds to a feature must be either the node that is closest to the feature, or one of the 8 nodes surrounding that node."," ","The depth/height value of the features in the feature file must match the depth/height value of the point cloud data from which they have been derived down to the centimeter level. "],[" ","The table below lists file formats for feature files that the Office of Coast Survey can review along with preferred file formats that will allow for the most efficient review timeline of the data submitted. ","For NOAA ","ISD"," surveys, feature files must be submitted in both the ","OGC"," Geopackage and IHO S-57 formats."," ","Table 7.1.0 Feature File Formats"," ","Format"," ","Preferred"," ","See Note"," ","OGC Geopackage (","reference",")"," ","Y"," ","1"," ","IHO S-57"," ","Y"," ","2"," ","CARIS HOB"," ","QPS QNC"," ","Comma delimited text"," ","Notes"," ","1 Until ancillary tools and feature management workflows utilizing the OGC Geopackage format are fully mature, features submitted in this format must also be submitted in the IHO S-57 format."," ","2 Because the IHO S-57 format requires a horizontal coordinate reference system of the geographic WGS 84 CRS (EPSG:4326) that references the ensemble WGS 84 datum (the use of ensemble datums is discouraged by the Office of Coast Survey), features submitted in this format must also be submitted in the OGC Geopackage format."],[" ","In addition to the metadata requirements for the survey, additional metadata is required for feature files submitted to the Office of Coast Survey. "," ","Table 7.2.0 Feature File Metadata Types"," ","Metadata"," ","Mandatory/Optional"," ","Geodetic Parameters (see ","CRS",")"," ","M"],[" ","All features included in a feature file must include a description of the feature that, at a minimum includes a description of the type of real-world feature that is represented by the feature in the feature file. Failure to include a description of the features in the feature file will result in the Office of Coast Survey either determining the most representative feature classification from the submitted data or encoding the feature as an obstruction (i.e., S-57 OBSTRN) if the submitted data is not conclusive. "," ","For NOAA ","ISD"," surveys, IHO S-57 and NOAA Extended attribution types are required per the ","Feature Attribute Encoding Guide",". "," ","Table 7.3.0 Feature File Attribution Requirements"," ","Attribution"," ","Mandatory/Optional"," ","Feature Description"," ","M"," ","IHO S-57 Attribution"," ","O"," ","NOAA Extended S-57 Attribution"," ","O"],[" ","Features discovered as part of the survey that were previously uncharted must include attribution that indicates the feature is newly discovered. Features discovered more than one disproval search radius away from what could be reasonably expected to be the same feature must be treated as a new feature. If a feature is discovered within the disproval search radius but represents a different feature than the charted feature, the feature must be treated as a new feature. Further guidance on the inclusion of newly discovered features in the feature file is below."," ","All new anthropogenic features (e.g., obstructions, wrecks, etc.) that meet the minimum size of the features claimed to be detected by the survey must be included in the feature file. All new anthropogenic features with a measured least depth must be appropriately represented in the submitted grid(s)."," ","New anthropogenic features that do no meet the minimum required feature size may still need to be submitted in order to be screened for potential historical significance as described in Section 14.6 of ","Survey Findings",". For new anthropogenic features that do not meet the minimum required feature size:\n      "," ","If clearly \"modern\" (i.e. < 50 years old), the feature should not be included in the feature file."," ","If there is any doubt regarding the age or potential historical significance of the feature and it is easily discernible in the submitted grid(s), the feature must be included in the feature file. "," ","All new, submerged (i.e. always underwater) natural features that at least meet the minimum size of the features claimed to be detected by the survey must be appropriately represented in the submitted grid(s) but must not be included in the feature file. Exception: all named rocks within the survey area must be appropriately represented in the submitted grid(s) and included in the feature file."," ","Features with any horizontal dimension greater than 8.0 mm at the scale of the largest scale overlapping chart must be treated as area features and delineated appropriately. Features with lesser horizontal dimensions must be positioned and attributed as point features. "," ","All new, natural or anthropogenic features that are exposed at tidal datum (i.e. partly submerged at high water, covers and uncovers, awash, or always dry) and that pose a danger to surface navigation must first be considered for reporting as a Danger to Navigation and also included in the feature file."],[" ","If a charted feature is not detected in the field, a disproval must be undertaken. To remove a feature from the chart, either 100% point cloud or 200% side scan sonar data must be acquired, processed, and reviewed covering the entire feature disproval search radius to the same or better standard to be able to detect features of the size of the features claimed to be detected by the survey. The point cloud or 200% side scan sonar data must provide conclusive evidence of absence throughout the disproval search radius. "," ","For NOAA ","ISD"," surveys, feature investigation requirements will be provided."],[" ","Radii are assigned based on the scale of the largest scale chart covering the area. The entire search radius must have the required coverage for a feature to be removed from the chart, with the exceptions as described below. The full radius does not need to be fully ensonified if the feature is found. If the search radius extends beyond the limit of the survey and no sign of the feature was detected, the feature may be re-attributed or re-positioned inshore of the radius to indicate that either it is no longer visible given the water level effect (for example, changing from covers and uncovers to always underwater for a feature not detected via imagery at low tide but for which no sounding data was acquired at that location), or was not observed at the given position (ex. change the 2D position to inshore of the area of seafloor coverage if not detected via imagery or sounding data throughout the portion of the search radius where seafloor coverage was obtained). In the case that 100% seafloor coverage cannot be obtained due to the search radius extending to the shoreline, but there is clearly no visual evidence of the feature, the hydrographer may recommend for its removal."," ","Table 7.5.0 General Feature Disproval Search Radii"," ","Chart Scale"," ","Disproval Search Radius"," ","Larger than 1:20000"," ","100 meters"," ","1:20000 to 1:40000"," ","150 meters"," ","Smaller than 1:40000"," ","200 meters"],[" ","Unverified Charted Features (","UCF",") are sub-categorized as positional UCF (i.e., features labeled as Existence Doubtful (ED), Position Approximate (PA), Position Doubtful (PD), Reported (Rep)) and depth UCF (features charted without a least depth or as depth unknown). Positional UCF have assigned disproval search radii based on the below table of Feature Disproval Search Radii for Positional UCF. Depth UCF will not have an assigned radii, however if not found in their charted position, the search radius defaults to the General Feature Disproval Search Radii. In the case the feature disproval radius extends beyond the safe limit of navigation, the hydrographer must fill the radius only up to the limit of safe navigation. As with non-UCF, ","UCF"," may be re-attributed or re-positioned but may not be marked for deletion without 100% point cloud coverage or 200% side scan sonar coverage of the search radius, unless the search radius extends to the shoreline and there is clearly no visual evidence of it."," ","Table 7.5.1 Feature Disproval Search Radii for Positional ","UCF"," ","Chart Scale"," ","UCF Disproval Search Radius"," ","Larger than 1:20000"," ","125 meters"," ","1:20000 to 1:40000"," ","250 meters"," ","Smaller than 1:40000"," ","500 meters"," ","For NOAA ","ISD"," surveys, positional ","UCF"," will be assigned radii and the full radius must be ensonified, even if the feature is found. Depth ","UCF"," do not need the full radius to be ensonified if found to be in their charted position relative to chart scale. "],[" ","If a charted wellhead is not found, in cases where 100% side scan sonar with concurrent multibeam is used as the primary coverage technique, a 50 meter search radius is required to disprove the feature using either point cloud or 200% side scan sonar. "]],"4":[[" ","Feature Disproval Search Radii"],[" ","Unverified Charted Features"],[" ","Charted Wellheads"]],"id":"8"})