rh._.exports({"0":[[" ","8.0 2D Imagery"]],"1":[[" ","8.0 2D Imagery"]],"2":[[" ","8.1 2D Imagery Data File Formats"],[" ","8.2 GeoTIFF Required Metadata"],[" ","8.3 Acoustic Intensity Sensors"],[" ","8.4 Acoustic Intensity Quality Control"],[" ","8.5 Acoustic Intensity Products"]],"3":[[" ","2D imagery data submitted to the Office of Coast Survey must be delivered in standardized formats to ensure consistency in the review of the data as well as the generation of products intended to be used by the public. "," ","All 2D imagery data submitted to the Office of Coast Survey must contain georeferencing information, except for screen captures of chartlet images, point cloud, and acoustic intensity data used for feature attribute encoding. Shoreline photos may be georeferenced to the position the photo was taken. "," ","For images where the georeferencing is not expected to be different on a pixel-by-pixel basis, a Joint Photographic Experts Group (JPEG) formatted file must be submitted using the Exchangeable Image File (EXIF) format version 2.2 or later for encoding the georeferencing metadata. "," ","For images that represent a 2D gridded product, an ","OGC"," compliant, floating-point Geographic Tagged Image File Format (GeoTIFF) must be submitted. "," ","The table below lists standard imagery file formats that the Office of Coast Survey can review along with examples of when they might be used. "," ","Table 8.1.0 OCS Reviewable Imagery Formats"," ","Format"," ","Example Scenarios"," ","JPEG with EXIF metadata"," ","Shoreline photography from a still camera"," ","Shoreline photography stills from a video camera"," ","Physical seabed sample photography stills from a video camera"," ","OGC GeoTIFF"," ","Orthoimagery captured from a ","UxS"," ","Orthoimagery captured concurrently with lidar"," ","Mosaic generated from Side Scan Sonar"," ","Mosaic generated from MBES Backscatter"," ","Table of OCS Reviewable 2D Imagery Data Formats"],[" ","In addition to the metadata requirements for the survey, additional metadata is required for GeoTIFFs submitted to the Office of Coast Survey. "," ","Table 8.2.0 GeoTIFF Metadata"," ","Metadata"," ","Mandatory/Optional"," ","Geodetic Parameters (see ","CRS",")"," ","M"," ","Table of GeoTIFF Metadata Types"],[" ","For NOAA ","ISD"," surveys utilizing a towed acoustic intensity sensor, such as side scan sonar, Field Units must operate the sensor with a towfish height above the bottom (altitude) of 8 percent to 20 percent of the range scale in use. These Field Units also have a maximum allowable range scale of 100 meters. "],[" ","For surveys utilizing side scan sonar and that have claimed to detect features, contacts must be picked that have computed target heights (based on side scan sonar shadow lengths) that meet or exceed the minimum size of the features claimed to be detected by the survey. Contact locations and target heights must be included in the processing project, or submitted in a ","SSS"," contacts file generated in the same file format and required metadata as described in ","Features",", and attributed as described below. Note, only horizontal geodetic parameters are applicable to the SSS contacts file. The SSS contacts file is not required if the contact locations and target heights are included in the processing project."," ","Table 8.3.0 SSS Contacts Required Attribution"," ","Field"," ","Mandatory/Optional/Conditional"," ","X/","λ"," ","M"," ","Y/","ɸ"," ","M"," ","Computed target height"," ","M"," ","IHO S-57 Attribution"," ","O"," ","For Field Units who have submitted an S-57 attributed SSS contacts file to the Office of Coast Survey, the following ","NOAA extended attributes"," must be used per the legend and table below."," ","(m)"," ","Mandatory"," ","(c)"," ","Conditional"," ","(r)"," ","Restricted"," ","Table 8.3.1 SSS Contacts S-57 Attribution"," ","Object"," ","Attributes"," ","Acronym"," ","Description"," ","$CSYMB (Cartographic Symbol)"," ","cnthgt ","(m)"," ","Contact height "," ","remrks ","(c)"," ","Provides additional information about contacts not captured elsewhere in digital data"," ","Data Gaps"," ","If the effective range scale of the sensor is reduced due to external factors, then the representation of the swath coverage should be reduced accordingly. For example, changes in the water column or inclement weather may distort the outer half of a 100-meter range scale. In this case, only 50 meters of effective range could be claimed.  "," ","The claimed size of features able to be detected by the survey must be based on the primary means of detecting features. If acoustic intensity sensors are a primary means of detecting features, the size of a ","holiday"," is determined by the inability to detect features of the size claimed to be detected by the survey in the acoustic intensity data. If acoustic intensity sensors are an ancillary means of detecting features, the size of a holiday is determined by the inability to detect features of the size claimed to be detected by the survey in the point cloud data."," ","For NOAA ","ISD"," surveys utilizing acoustic intensity sensors as a primary means of detecting features, no holidays may exist in the imagery (generated from acoustic intensity) spanning potentially ","significant features","."," ","If the acoustic intensity data is not related to feature detection but instead is acquired as a means to infer seafloor characteristics (commonly, multibeam backscatter), then holidays are not related to the size of feature the survey claims to be able to detect but rather by the inability to interpret the seafloor in the acoustic intensity products, which could be the result of weather, poorly compensated beam patters, or lack of data. "],[" ","For NOAA ","ISD"," surveys, coverage limits of the survey will be provided in the Project Instructions. For nearshore surveys, the inshore coverage limit is defined by the ","NALL"," (NALL), unless stated otherwise in the Project Instructions."," ","Acoustic intensity sensors must be operated such that a feature of the size claimed to be detected by the survey can be reliably detected by the system and the hydrographer has the ability to detect the feature during data processing. If the claimed detected feature size includes a height or elevation, the system must be capable of detecting that height or elevation from a shadow length measurement and the processing must include the ability for the hydrographer to be able to detect the feature. "," ","When acoustic intensity sensors identify potentially ","significant features",", point cloud data must be collected over those features to obtain precise 3D positioning information.  "," ","If a Field Unit is utilizing an acoustic intensity sensor that has the ability to measure backscatter strength as a function of the true angle of ensonification, such as multibeam echosounder backscatter, efforts must be made to avoid acoustic saturation of the data."],[" ","If a Field Unit is utilizing an acoustic intensity sensor that has the ability to measure a swath of bathymetry concurrently, such as multibeam backscatter, the final bathymetry and full-time series backscatter must be submitted to the Office of Coast Survey in ","Generic Sensor Format (GSF) version 3.09"," or later. The GSF files must be accompanied by answers to questions derived from Figure 5-1 of the ","Backscatter measurements by seafloor-mapping sonars report by the GeoHab Backscatter Working Group",". The questions are listed in ","Reports"," and the answers must be submitted to the Office of Coast Survey in the Quality Control Procedures. Failure to include the information will result in the Office of Coast Survey assuming a low data quality or not being able to accept the backscatter data. "," ","For NOAA ","ISD"," surveys, these GSF files must contain the processing parameters record and swath bathymetry ping records at a minimum so that a normalized mosaic used for preliminary segmentation may be developed with further processing at a later date if needed."],[" ","Features detected by intensity sensors with computed heights (based on shadow lengths, etc.) of at least the minimum size claimed to be detected by the survey must have corresponding data from a point cloud data sensor collected at the same or better claimed-feature detection size, from which the most shoal depth over the feature must be obtained (i.e. the least depth is known). When a feature is identified with both 2D Imagery and Point Cloud data techniques, the corresponding feature included in the Feature File must be attributed with values representing the most reliable source of information with the least uncertainty about the horizontal and vertical positioning, which in most cases will be point cloud data."],[" ","Acoustic intensity mosaics representing the seafloor coverage obtained by the survey must be provided to the Office of Coast Survey. Areas of no data must be set to -9999, NaN, or to any consistent value. The value must be stated in the file to facilitate automated usage of the no data value."," ","For surveys utilizing side scan sonar and that have claimed to detect features, the pixel resolution of the mosaic must be ½ the size of the fixed minimum feature size claimed to be detected by the survey. If features have not been claimed to be detected by the survey, the pixel resolution of the image must be 1 meter. "," ","For NOAA ","ISD"," surveys, a required minimum feature detection size will be provided with the Project Instructions."," ","For surveys where side scan sonar has been used to provide more than 100% seafloor coverage, separate mosaics in GeoTIFF format must be delivered to the Office of Coast Survey for each 100% coverage obtained by the survey, grouped by each acoustic frequency. 200% side scan sonar coverage is a common method of feature disproval as defined in ","Features","."," ","For mosaics derived from multibeam backscatter, the mosaic must encompass all of the submitted GSF, and the pixel resolution must be as defined in the equation below. "," ","Where ceiling(x) is a function that rounds up \"x\" to the least integer greater than x and nominal frequency is rounded to the nearest 100 kHz. For any frequency less than 50 kHz, the default mosaic resolution is 10 meters. "," ","For surveys where multibeam backscatter has been collected, separate mosaics in GeoTIFF format of the seafloor coverage obtained, grouped by each acoustic frequency and by survey system, must be delivered to the Office of Coast Survey. If relative or absolute calibrations have been performed, then different survey systems of the same frequency may be combined into a single mosaic. "]],"4":[[" ","Contacts"],[" ","Intensity Coverage"],[" ","Features"],[" ","Mosaics"]],"id":"9"})